//
// Question
//
// Single question information.  Takes in 'db' array structures, and combines base question with component-specific overrides.
//
// No API.  Simple object with constructor.  Interface is direct to member objects (a la typedef)
//
function Question( uqi, q, compQs ) {
	this.uqi 			= uqi;
	this.userNum 		= 0;
	this.module			= 0;
	this.category 		= 0;
	this.type 			= q[0];
	this.title 			= q[1];
	this.description 	= q[2].length ? q[2] : q[3];	// Short description if given, else full text.
	this.text 			= q[3];
	this.radioLabel 	= "";
	this.checkLabel		= "";
	this.checkBoxLabels = new Array();			// always an array, so upstream can .length
	this.textLabels 	= new Array();			// always an array, so upstream can .length
	this.altTextLabels	= new Array();			// 508c labels. always an array, so upstream can length.
	//
	// Append/Override Component-Specific declaration for Title/Description/Text.
	//
	for ( var i=0 ; i < compQs.length ; i++ )
	{
		if ( compQs[i][0] == uqi )
		{
			var compQ = compQs[i];
			this.userNum = i+1;
			this.module = compQ[1];
			this.category = compQ[2];
			
			if ( compQ.length > 4 )
			{
				if      ( compQ[3] == 1 )	this.title  = compQ[4];
				else if ( compQ[3] == 2 )	this.title += compQ[4];
			}
			if ( compQ.length > 6 )
			{
				if      ( compQ[5] == 1 )	this.description  = compQ[6];
				else if ( compQ[5] == 2 )	this.description += compQ[6];
			}
			if ( compQ.length > 8 )
			{
				if      ( compQ[7] == 1 )	this.text  = compQ[8];
				else if ( compQ[7] == 2 )	this.text += compQ[8];
			}
		}
	}
	//
	// Fill in type-specific information
	//
	var tli = 0; // text label index beginning.
	if ( this.type.search("radiotext") == 0 )
	{
		this.radioLabel = ( q.length > 4 ) ? q[4] : "";
		tli = 5;
	}
	if ( this.type.search("checkboxestext") == 0 )
	{
		this.checkLabel = ( q.length > 4 ) ? q[4] : "";
		this.checkBoxLabels = ( q.length > 5 ) ? q[5] : null;
		tli = 6;
	}
	if ( this.type.search("text") == 0 )
	{
		tli = 4;
	}
	if ( tli )
	{
		for ( var i=tli ; i < q.length ; i++ )
		{
			if ( typeof(q[i]) == "string" )
				this.textLabels.push(q[i]);
		}
	}
	if ( Array.isArray(QuestionsAltText[uqi]) )
	{
		this.altTextLabels = QuestionsAltText[uqi];
	}
}

