//
// Dropdown Menu controller.  Static Singleton so there can only be one active/open menu at a time.
//
// (Original base courtesy (http://javascript-array.com/scripts/simple_drop_down_menu/)
// Objectification to ensure uniqueness across a large project: bkenney.
//
var ddm = {
	timeout:		500,	/* mouseout grace factor. configurable. */
	closeTimer:		0,		/* closeTimer semiphore */
	openMenu:		0,		/* active menu obj. */

// pop this menu
open: function(id)
{
	obj = document.getElementById(id);
	
	if ( (this.openMenu) && (this.openMenu.id == obj.id) )
	{
		this.cancelCloseTime();		// If this layer already active, leave it alone.
	} else {
		this.close();				// If another layer is active, close it.
		this.openMenu = obj;		// Set and Show new layer.
		this.openMenu.style.visibility = 'visible';
	}
},

// close showed layer
close: function()
{
	if ( this.openMenu )
	{
		this.openMenu.style.visibility = 'hidden';
		this.openMenu = 0;
		this.cancelCloseTime();
	}
},

// start or reset close timer
closeTime: function()
{
	this.cancelCloseTime();
	this.closeTimer = window.setTimeout(function(){ddm.close()}, ddm.timeout);
},

// cancel close timer
cancelCloseTime: function()
{
	if ( this.closeTimer )
	{
		window.clearTimeout(this.closeTimer);
		this.closeTimer = null;
	}
}
}; // end ddm

// close layer when user clicks anywhere.  including trigger and menu.
document.onclick = function(){ddm.close();}; 