//
// Page View controller.  Control the "page" encapulating div's, their show/hide actions, 
// and initialization actions when activated.
//
// ***** Auxiliary *************************************************************
var PageNicknames = new Array();
var PageTitles = new Array();
PageTitles[1] = "IM Requirements Development Tool";			// Welcome.
PageTitles[2] = "Introduction";
PageTitles[3] = "Home";
PageTitles[4] = "Component Selection";
PageTitles[5] = "Overview";									// Pre-wizard, components.
PageTitles[6] = "Question and Requirements Input"; 			// THE Wizard. Code changes title to: Components[CurrentComponent]
PageTitles[7] = "Finish and Create File(s)";
PageTitles[8] = "Technical Requirements Overview";			// Pre-wizard, STR.
PageTitles[9] = "Consolidate Requirements: Overview";
PageTitles[10] = "File Selection Screen";
PageTitles[11] = "Overview of Consolidated View of Responses";		// Overview of "Non-Requirements"
PageTitles[12] = "Consolidated View of Responses";					// Actual "Non-Requirements" View
PageTitles[13] = "Overview of Consolidated Requirements Views";		// Overview of all 3 tables.
PageTitles[14] = "Overview of Working View";
PageTitles[15] = "IT Design Team Working View";						// Actual Working View.
PageTitles[16] = "Overview of Summary Views";						// Overview of Final and Summary Views.
PageTitles[17] = "IT Design Team Summary View";						// Actual Final View. (now renamed)
PageTitles[18] = "Requirements Summary View";						// Actual Summary View.
PageTitles[19] = "Consolidate Requirements: Complete";				// Thank You! Screen.
PageTitles[20] = "View File Information?";							// View consolidated info or wizard-saved info?
PageTitles[21] = "View or Discard Component Information?";			// View saved or start fresh?
PageTitles[22] = "Database Notice (ActiveX)";
PageTitles[23] = "Database Notice";

var CurrentComponent = "";			// string. short name of component, and thereby key of Components array.
var CurrentTabView = null;			// object.
var CurrentConView = null;			// object.
var WarnedOfSessionStorage = false;	// bool. Has the user acknowledged the Session Storage warning if it happened?

var IsExplorer = (	( navigator.appVersion.search(/Explorer/i) > 0 ) ||
					( navigator.appVersion.search(/MSIE/i) > 0 ) ||
					( navigator.appVersion.search(/Trident/i) > 0 ) );

// ***************************************************************************************
// ***** About / Contacts / Glossary triggers.  (They're pages...)
// ***************************************************************************************
function about()
{
	var versionText = document.getElementById("about").innerHTML + ". 2015 U.S. EPA.  <p>EPA 817-B-15-004</p>";
	var dbText = "<p><b>Current data storage location:</b> " + ToolDB.getModeString() + "</p>";
	var aboutHtml = "<p>" + versionText + "</p><p>The Information Management Requirements Development Tool is intended to help users define the requirements of an information management system to support a Water Quality Surveillance and Response System (SRS), thereby preparing them to select and implement an information management solution.</p>" + dbText;
	TINY.box.show(TinyBoxHTML("About", aboutHtml, 2), 0, 400, 0, 0, 0);
};
function contacts() {
	var s = "<div style='text-align:left; margin: 0 5px 0 5px;'>";
	s += "<p>Questions or comments regarding the Information Management Requirements Development Tool should be addressed to:</p>";
	/* remove Katie's name per Katie.
	s += "<p><b><u>Katie Umberg: </u></b><br/>EPA Water Security Division; 26 West Martin Luther King Drive Mail Code 140; Cincinnati, OH 45268. (513) 569-7925. <a href='mailto:Umberg.Katie@epa.gov' style='text-decoration:underline;'>Umberg.Katie@epa.gov</a></p>";
	s += "or";
	*/
	s += "<p><b><u>Steve Allgeier: </u></b><br/>EPA Water Security Division; 26 West Martin Luther King Drive Mail Code 140; Cincinnati, OH 45268. (513) 569-7131. <a href='mailto:Allgeier.Steve@epa.gov' style='text-decoration:underline;'>Allgeier.Steve@epa.gov</a>";
	s += "<p>Please include your name, organization, email address and telephone number in all communication.  If requesting assistance or reporting an issue with the tool, also include the browser and version you are using (e.g. Windows Internet Explorer 11)</p>";
	s += "</div>";
	TINY.box.show(TinyBoxHTML("Contact", s, 2), 0, 600, 0, 0, 0);
};
function contentfiles() {
	var p = window.location.pathname;
	p = decodeURI(p);	// handle the possible %20's.
	var front = ( p.indexOf("/") == 0 ) ? 1 : 0;
	var ssdir = p.substring(front, p.lastIndexOf("/")) + "/spreadsheets/";	

	var s = "<div style='text-align:left; margin: 0 5px 0 5px;'>";
	s += "<p>The spreadsheets directory contains Excel spreadsheets of all the questions and requirements contained for each module in the tool. This allows you to review the questions off-line or share them with others. However, all answers and data must be entered directly into the tool. Data entered into the Excel spreadsheet cannot be imported into the tool.</p>";
	s += "<p>You can access these files directly in the directory listed or open them using the links below.</p>";
	s += "<b>Directory:</b> " + ssdir + "<br/>";
	s += "<b>Spreadsheet Files:</b>";
	s += "</div><div style='text-align:center; margin: 0 5px 0 5px;'>";
	s += "<table class='moreSpreadsheets' border='1' bordercolor='000767' cellpadding='3' cellspacing='0' width='585' style='text-align:left;'><tr>";
	for ( var i=0 ; i < objectLength(ComponentsIndex) ; i++ )
	{
		var text = " " + ComponentsIndex[i] + " Questions and Requirements";
		s += "<td>" + pageview_makeSpreadsheetLink(ComponentsIndex[i], text) + "</td>";
		if ( i%2 == 1 )
			s += "</tr><tr>";
	}
	s += "</tr></table>";
	s += "</div>";
	TINY.box.show(TinyBoxHTML("Content Files", s, 2), 0, 600, 0, 0, 0);
};
// Glossary toolTip.
function gTip(e, obj, onclick)
{
	if ( obj )
	{
		if ( onclick == -1 )
		{
			ddm.close();	// explicit mouse-out.
		} else {
			var term = obj.innerHTML;	// text of link = glossary term.
			var def = getGlossaryDefinition(Glossary, term);
			if ( typeof(def) == "string" )
			{
				var s = "<p><b>" + term + ":</b> " + def + "</p>";
				var sTerm = "Glossary Term: <b>" + term + "</b>";
				var popObj = onclick ? obj : e;
				ddm.pop(popObj, 'toolTip', sTerm, def);
			}
		}
	}
	e.returnValue = false;		// prevent link-following, Firefox.
	if ( e.preventDefault )
		e.preventDefault();		// prevent link-following, IE.
	return false;				// prevent link-following, all others.
};
function getGlossaryDefinition( a, k )
{
	var v = a[k];
	if ( v && typeof(v) != "undefined" )
		return v;
	for ( var aK in a )
	{
		if ( ( aK.search(k) == 0 ) || ( aK.search(k.replace(/s$/, "")) == 0 ) )
			return a[aK];
	}
	return null;
}

// ***************************************************************************************
// ***** Page View API.   Allows for different pageview containers, but for
// ***************************************************************************************
// ----------------------------------------------------------------------
// Main page switch.	If mission-critical database warning needed, force acceptance of it first.
//						(See ToolDB for specifics as to why).
//
function pageview_switch( page, popping )
{
	if ( (page > 1) && (! WarnedOfSessionStorage) )
	{
		//pageview_updateFooter();	// There is no interesting footer data. Look to About box for such things.
		
		// dbMode 1 and 2 means saving to disk. If not that, warn user that everything's in memory!
		var dbMode = ToolDB.getMode();
		if ( (dbMode != 1) && (dbMode != 2) )
		{
			// Now you get to see the warning page!  Not whatever else was about to be shown.
			// Page 22 is "ActiveX warning page". Page 23 is "Generic Database warning page".
			page = (IsExplorer) ? 22 : 23;
			ToolDB.setSessionMode();		// Set DB to the session fallback state. If user continues, that's the new state.
		}
		WarnedOfSessionStorage = true;	// Did we warn them? Good.  Cause this is a one-time check.
	}

	var pushing = ( typeof(popping) == "undefined" ) ? 1 : 0;	// back or next? popping or pushing?
	
	// JAWS TEST!
	setTimeout(function() {pageview_aux(page, pushing);}, 1000);	// needs to get into tab-view
	return;

	pageview_aux(page, pushing);
	scroll(0,0);	// snap to top
}

function pageview_initialize( page /* not mandatory */ )
{
	pageview_aux(page);
}

function pageview_refresh()
{
	// will autofit while it refreshes.
	pageview_aux(page);
}

function pageview_continue ( pageId )
{
	// The "continue" has been activated from a warning page, acknowledging the warning.
	// Right now, this is just the database warning.
	WarnedOfSessionStorage = true;
	pageview_switch(2);
}

/* private */
function pageview_aux(CurrentId, pushing)
{
	for ( var j=1 ; j <= PageTitles.length ; j++ )
	{
		var Page = document.getElementById("Page" + j);
		if ( Page )
		{
			Page.style.display = (j == CurrentId) ? "block" : "none";
			Page.setAttribute("aria-hidden", (j == CurrentId) ? "false" : "true" ); // screen-readers
			Page.blur();
		}
	}
	var BannerTxt = document.getElementById("bannertxt");
	if ( BannerTxt )
	{
		BannerTxt.innerHTML = PageTitles[CurrentId];
		// Change Wizard banner per component.
		if ( CurrentId == 6 )
		{
			if ( CurrentComponent == "STR" )
			{
				BannerTxt.innerHTML = Components[CurrentComponent];
			} else {
				var logofile = "logo_" + CurrentComponent + "_blue.png";
				BannerTxt.innerHTML = "<span ><img src='img/"+logofile+"' height='50' width='50' style='vertical-align:middle;'/>" + Components[CurrentComponent] + "</span>";
			}
		}
		// Change Wizard Intro banner per component.
		if ( ( CurrentId == 21 ) || ( CurrentId == 22 ) )
		{
			if ( CurrentComponent == "STR" )
				BannerTxt.innerHTML = PageTitles[CurrentId].replace("Component", "Module");
			else
				BannerTxt.innerHTML = PageTitles[CurrentId].replace("Module", "Component" );
		}
		BannerTxt.blur();
	}
	
	pageInit(CurrentId, pushing);
} /* pageview_aux */

function pageview_category( CurrentId )
{
	// Just for mock-ups now.  Take CurrentId, assume 2nd level.  Change only that layer and current Page.
	pageviewId = "";
	Bar = 0;
	if ( CurrentId > 40 )
	{
		pageviewId = "categorybar4";
		Bar = 4;
		BarTen = 40;
	}
	else if ( CurrentId > 30 )
	{
		pageviewId = "categorybar3";
		Bar = 3;
		BarTen = 30;
	}
	
	var pageview = document.getElementById(pageviewId);
	CurTab = null;
	for ( var i=1 ; i<6 ; i++ )
	{
		var Tab = document.getElementById("categorytab" + (BarTen + i));
		if ( Tab )
		{
			Tab.href         = "javascript:pageview_switch(" + (Bar + i) + ", '" + pageviewId + "');";
			Tab.className    = ((BarTen + i) == CurrentId) ? "categorytab_current" : "categorytab";
			Tab.blur();
			if ( (BarTen + i) == CurrentId )
			{
				CurTab = Tab;
			}
		}
	}
	// **** Category Bar Arrow ****    *** mock-up hack 
	var margin3 = [0, 260, 445, 630, 830, 995];
	var margin4 = [0, 380, 640, 875, 0, 0];
	var CategoryArrow = document.getElementById("categoryarrow" + (Bar));
	var marginarray = (Bar == 3) ? margin3 : margin4;
	if ( CategoryArrow )
	{
		CategoryArrow.style.display = "block";
		CategoryArrow.style.marginLeft = "" + marginarray[(CurrentId - BarTen)] + "px"; // hack cheat.
		CategoryArrow.blur();
	}
	// **** Pages ****
	var Page = document.getElementById("page" + Bar);
	Page.style.display = "none";
	Page.blur();
	for ( var j=1 ; j<50 ; j++ )
	{
		var Page = document.getElementById("page" + j);
		if ( Page )
		{
			Page.style.display = (j == CurrentId) ? "block" : "none";
			Page.blur();
		}
		var BC = document.getElementById("breadcrumbs" + j);
		if ( BC )
		{
			BC.style.display = (j == CurrentId) ? "block" : "none";
			BC.blur();
		}
	}
}

// ----------------------------------------------------------------------
// Custom page initialization
//
function pageInit( CurrentId, pushing )
{
	// Attach glossary tip action to any new gTips on screen. Use (e) parameter for firefox.
	$('.gTip').click(function(e) { return gTip(e, this, 1); });
	$('.gTip').mouseover(function(e) { return gTip(e, this, 0); });
	$('.gTip').mouseout(function(e) { return gTip(e, this, -1); });
	$('.gTip').attr('href', '#');

	// And do any other page-specific actions.
	if ( CurrentId == 1 )
	{
	}
	if ( ( CurrentId == 5 ) || ( CurrentId == 8 ) )
	{
		var aID = "page" + CurrentId + "SpreadsheetLink";
		var e = document.getElementById(aID);
		if ( e )
			e.innerHTML = "<a href='spreadsheets/" + CurrentComponent + " Questions and Requirements.xlsx'><img width='30' height='30' src='img/excel.png' title='Spreadsheet of "+this.cShort+" questions and requirements'/></a>";

	}
	if ( CurrentId == 6 )
	{
		if ( pushing )
			setTimeout(function() {CurrentTabView.Initialize();}, 10);	// needs to get into tab-view
		else
			setTimeout(function() {CurrentTabView.Refresh();}, 10);	// needs to get into tab-view
			
	}
	// page 8 is with page 5.
	if ( CurrentId == 10 )
	{
		// Consolidate Requirements: File Selection
		var gateBtn = document.getElementById("nextPg" + CurrentId);	// Disable 'Next' and let ConView re-enable when loaded.
		if ( gateBtn )
			gateBtn.disabled = true;
		if ( CurrentConView == null )
			CurrentConView = new ConView();
		CurrentConView.Create(gateBtn);
	}
	if ( CurrentId == 12 )
	{
		onConViewFill('bob', 1);	// fill non-requirements table.
	}
	if ( CurrentId == 15 )
	{
		onConViewSort('thw2', 2);	// engage default sort and update working view.
	}
	if ( CurrentId == 17 )
	{
		onConViewSort('thf2', 2);	// engage default sort and update final view.
	};
	if ( CurrentId == 18 )
	{
		onConViewSort('ths2', 2);	// engage default sort and update summary view.
	};
	if ( CurrentId == 20 )
	{
		var e = document.getElementById("page20shortname");
		if ( e )
			e.innerHTML = CurrentComponent;
		e = document.getElementById("page20filename");
		if ( e )
			e.innerHTML = CurrentConView.getFileName(CurrentComponent);
	}
	if ( CurrentId == 21 )
	{
		// The summary text for the STR component is different from the others... toggle show/hide for summaries.
		var es1 = document.getElementById("pagesummary21");
		var es2 = document.getElementById("pagesummary21STR");	// this str-specific one, with different text.
		var showObj = ( CurrentComponent == "STR" ) ? es2 : es1;
		var hideObj = ( CurrentComponent == "STR" ) ? es1 : es2;
		if ( showObj ) showObj.style.display = "block";
		if ( hideObj ) hideObj.style.display = "none";
		// fill in component name (maybe hidden, noop)
		var e = document.getElementById("page21shortname");
		if ( e )
			e.innerHTML = CurrentComponent;
	}
}

// ----------------------------------------------------------------------
// get currently displayed page.
//		@fId:  bool.  If true, return page ID (null if not found).  If false, return number, (0 if not found).
//
function pageview_getCurrentPage( fId )
{
	// Cycle through all pages.  If one is set to something other than "display:none", that's it. (Could be a global...)
	for ( var p=1 ; p <= PageTitles.length ; p++ )
	{
		var pageID = "Page" + p;
		var page = document.getElementById(pageID);
		if ( page )
		{
			var display = ( page.currentStyle ) ? page.currentStyle.display : display = page.style.display;
			if ( (display) && (display.length) && (display != "none") )
			{
				return fId ? pageID : p;
	}	}	}
	return 0;
}
// ----------------------------------------------------------------------
//
function pageview_getCurrentPageName()
{
	return PageTitles[pageview_getCurrentPage(false)];
}

function pageview_updateFooter()
{
	var footer = document.getElementById("dbfooter");
	if ( footer )
	{
		footer.innerHTML = ToolDB.getModeString();
	}
}

// ----------------------------------------------------------------------
// Confirm component.  A component has been selected. But a check needed to be performed. User has responded.
// Check to see if it's loaded from Consolidated Area. If so, give user a chance to use that TabData.
// 					  User response to that question will then CALLBACK here.
// @componentShortName:  name==normal.  1==User confirms VIEWING file.  2==User confirms IGNORING file and proceeding normally.
//
function pageview_confirmComponent( confirmCode )
{
	if ( confirmCode === 1 )		// User has acknowledge "Overview" page. This is the NORMAL path.
	{
		// Check for saved content. If there, offer "delete" page 21, if not, straight to wizard 6.
		if ( CurrentTabView.getMeterPercent(0, 0) )
			pageview_switch(21);	// delete/continue?
		else
			pageview_switch(6);		// just continue.
	}
	if ( confirmCode === 2 )		// User confirms VIEWING saved data. (from page 21). Straight to wizard.
	{
		pageview_switch(6);			// everything's already loaded.
	}
	if ( confirmCode === 3 )		// User confirms DELETING saved data (and continuing).
	{
		if ( confirm("Are you sure you want to delete your previous " + CurrentComponent + " answers?") )
		{
			// Be Careful!
			ToolDB.deleteKey(CurrentComponent);
			CurrentTabView.destroy();
			CurrentTabView = null;
			pageview_selectComponent(CurrentComponent);
		}
	}
	if ( confirmCode === 4 )		// User confirms VIEWING *consolidated* file data.
	{
		if ( CurrentTabView )
			CurrentTabView.destroy();
		CurrentTabView = new TabView();
		CurrentTabView.CreateAttach(CurrentComponent, null, CurrentConView.getData(CurrentComponent));
		pageview_switch(6);
	}
	if ( confirmCode === 5 )		// User confirms IGNORING consolidated file data. (and back to NORMAL path).
	{
		pageview_selectComponent( CurrentComponent, true );	// force NORMAL path.
	}
}

// ----------------------------------------------------------------------
// Select component.  Check to see if it's loaded from Consolidated Area. If so, give user a change to use that TabData.
// 					  User response to that question will then CALLBACK here.
// @componentShortName:  name==normal.  1==User confirms VIEWING file.  2==User confirms IGNORING file and proceeding normally.
//
function pageview_selectComponent( componentShortName, fForce )
{
	if ( typeof(componentShortName) == "number" )
		alert("Warning. pageview_selectComponent was called incorrectly with : " + componentShortName );
		
	if ( false )
	{	
	if ( componentShortName === 1 )		// User confirms VIEWING file data.
	{
		if ( CurrentTabView == null )
			CurrentTabView = new TabView();
		CurrentTabView.CreateAttach(CurrentComponent, null, CurrentConView.getData(CurrentComponent));
		pageview_switch(6);
		return;
	}
	if ( componentShortName === 2 )		// User confirms IGNORING file data.
	{
		confirmIgnore = true;
		// continue.
	}
	if ( componentShortName === 3 )		// User confirms VIEWING SAVED data.  This is the NORMAL path.
	{
		// Check for content. Page 20 if, Page 6 if not.
		if ( objectLength(CurrentTabView.TabData.getQuestions(0, 0)) )
			pageview_switch(20);	// delete/continue?
		else
			pageview_switch(6);		// just continue.
		return;
	}
	if ( componentShortName === 4 )		// User confirms DELETING SAVED data. (and continuing)
	{
		alert("delete something!");
		return;
	}
	}

	CurrentComponent = componentShortName;	// Set current component
	
	if ( typeof(fForce) == "undefined" || ! fForce )
	{
		if ( CurrentConView && CurrentConView.isComponentLoaded(CurrentComponent) )
		{
			pageview_switch(20);
			return;
		}
	}
	var pageNum = ( CurrentComponent == "STR" ) ? 8 : 5;		// "SystemTechRequirements" has a different overview splash...
	var gateBtn = document.getElementById("nextPg" + pageNum);	// Get gate button. Disable and let TabView re-enable when loaded.
	if ( gateBtn )
		gateBtn.disabled = true;
	if ( CurrentTabView == null )
		CurrentTabView = new TabView();
		
	CurrentTabView.Create(CurrentComponent, gateBtn);	// Build everything specific to that component.  Re-enable gateBtn on callback.
	pageview_switch(pageNum);							// Display next page for user
}

//
// Something (TabView) has requested full wizard re-load and re-draw.  Displaying specific tab when complete. No gate button.
//
		//
		// Put up "Saving..." tiny box modal.  and Update screen.
		// Rather than code an insertion process and update for this subtab and Consolidate, just make it easy and call
		// up to page_view to blow away this TabView and recreate.  This takes 3 asyncronous stages, so put up a 
		// tinybox modal to the user in the mean time.
		// tinybox Delay is 250 because tiny box takes 200 to setInterval a multi-interval dismiss animation and there's a
		// tinybox on screen right now.  Also making it easy, set bg of text to match the gif handy.
		//

function pageview_reloadTabView ( msg )
{
	if ( msg !== 1 )
	{
		// Initial seed.  Show modal.  Delay everything else to let it breath/save.  Delay modal until possible active one disappears.
		//
		setTimeout(function(){ TINY.box.show(TinyBoxHTML("", "<h2 style='background-color:#DEDBD7;'><br/>" +msg+ "<br/><img src='img/LoadingCircle.gif' width='90' height='36'/><br/>&nbsp;</h2>", false), 0, 300, 0, 0, 10); }, 250);
		setTimeout(function(){ pageview_reloadTabView(1); }, 2000);
	} else {
		// Callback.  Gather data and do actions equal to user clicking "Home" and then navigating back.
		var mod = CurrentTabView.currentTab;
		var cat = CurrentTabView.currentSubTab;
		var com = CurrentTabView.cShort;
		var page = 6;	// We could "get current", but we want 6.

		CurrentTabView.Create(com, null);	// Build everything specific to that component.  No gate button.
		setTimeout( function(){ pageview_switch(page); }, 5000 );
		setTimeout( function(){ CurrentTabView.Switch(parseInt(mod), parseInt(cat)); }, 6000 );
	}
}

// ----------------------------------------------------------------------
// make the spreadsheet link for popup and intro pages.  @text optional text after image.
//
function pageview_makeSpreadsheetLink ( curComp, text )
{
	if ( ! curComp )
		curComp = CurrentComponent;
	if ( ! text )
		text = "";
	return "<a href='spreadsheets/" + curComp + " Questions and Requirements.xlsx'><img width='30' height='30' src='img/excel.png' title='Spreadsheet of " + curComp + " questions and requirements'/>" +text+ "</a>";
}

// ----------------------------------------------------------------------
// Auto-grow textareas.  Increase height to remove scrollbars.
//                       Do not decrease, as no defined trigger and don't want to refresh everything on every keyclick.
//						 Have a maximum grow size, after which let the scroll bar do its thing.
//						 Inception credit to github.com jquery-grab-bag autogrow.
//
(function($){ $.fn.autogrow = function(inputtypes)
{
	//return this.filter('textarea').each(function()
	return this.filter(inputtypes).each(function()
	{
		var self  = this;
		var $self = $(self);
		var update = function()
		{
			var maxAGHeight = 700; // max pixel height.
			if ( (self.clientHeight < self.scrollHeight) && (self.clientHeight < maxAGHeight) )
			{
				var newH = Math.min( self.scrollHeight + 2, maxAGHeight );
				self.style.height = newH+"px";
				pageview_refresh();
			}
		}
		//$self.change(update).keyup(update).keydown(update);
		$self.change(update).keyup(update);
		$(window).resize(update);
		update();
	});
};
})(jQuery);

//function autofit ( obj )  /* not currently used, but could be handy */
//{
//	if ( obj.clientHeight < obj.scrollHeight )
//	{
//		var newH = obj.scrollHeight;
//	    obj.style.height = newH+"px";
//		obj.clientHeight = newH;
//	}
//}

