//
// TINY BOX.  Javascript Modal pop-up window.
//
// Public Creation APIs first.  Then TINY.box object.
//
// ********************************************************************************************
// Create HTML to feed to TINY.box.show.  Encode HTML for quotes and returns
//		@title:		User Title.
//		@content:	main html content.
//		@fButtons:	0/false: no buttons. 1/true: Show default Save/Cancel buttons. 2: Show default "Close" button.
//					(buttons are currently custom to "imrgt" project).
//
function TinyBoxHTML ( title, content, fButtons )
{
	var tHTML = "<div class='tinyTitle'>" + title + "</div>";
	var bHTML = "";
	if ( (fButtons == true) || (fButtons == 1) ) {
		bHTML = "<div class='buttons' style='padding-bottom: 20px; padding-top:20px;'>" +
					"<button type='button' class='glassySave' aria-label='Save' onclick='TINY.box.save()'>&nbsp;</button>" +
					"<button type='button' class='glassyCancel' aria-label='Cancel' onclick='TINY.box.hide()'>&nbsp;</button>" +
				"</div>";
	} else if (fButtons == 2) {
		bHTML = "<div class='buttons' style='padding-bottom: 20px; padding-top:20px;'>" +
					"<button type='button' class='glassyClose' aria-label='Close' onclick='TINY.box.hide()'>" +
				"</div>";
	}
	var TB_ENCODING_MAP = {	"'"		:	"===SQ===" ,
							"\""	:	"===DQ===" ,
							"\r\n"	:	""
							//"<"	=>	"===LT===",
							//">"	=>	"===GT===",
							//"/"	=>	"===SL===",
							//"\\"=>	"===BS===",
							//";"=>	"===SC===",
							//"&"=>	"===AM===",
							};
							
	content = tHTML + TinyBoxLinkEncode( content, TB_ENCODING_MAP ) + ((fButtons)?bHTML:"");
	return content;
}
// function TinyBoxLink ( html, fButtons )return "<a href='javascript:void(0)' onclick=\"TINY.box.show('"+html+"',0,0,0,1,0);\">"+text+"</a>";

// ********************************************************************************************
// encode. since a link (or other action) gets embedded in html as a string, there can be ZERO
// single or double quotes in that string.  encode them out.  do not use html encoding, as browsers
// properly process an encoded quote as an actual quote.
//
function TinyBoxLinkEncode( str, map )
{
	for ( ch in map )
	{
		var code = map[ch];
		str = str.replace(new RegExp(ch, 'g'), code);
	}
	return str;
}
function TinyBoxLinkDecode( str, map )
{
	for ( ch in map )
	{
		var code = map[ch];
		str = str.replace(new RegExp(code, 'g'), ch);
	}
	return str;
}
//
// TINY BOX.  Javascript Modal pop-up window.
//
// syntax (php):   TINY.box.show(content, isfile, width, height, animate, timeout);
//
//	content:  string.	raw html or file name.
//	isfile:   bool/1/0.	is 'content' a file name. (is ajax)
//	width:	  int		0 = auto.
//	height:	  int		0 = auto.
//	animate:  bool		animate opening
//	timeout:  int		in seconds.  0 or omitted = never.
//
// example: TINY.box.show('advanced.html',1,300,150,1,3);
//
var TINY={};

function T$(i){return document.getElementById(i)}

TINY.box=function(){
	var p,m,b,fn,ic,iu,iw,ih,ia,f=0,up=0;
	return{
		show:function(c,u,w,h,a,t){
			// Decode. Matches CTinyBox.php
			var stamp = new Date().getTime();
			c = c.replace(new RegExp("===SQ===", 'g'), "'");		// single quote
			c = c.replace(new RegExp("===DQ===", 'g'), "\"");		// double quote
			c = c.replace(new RegExp("===TS===", 'g'), stamp);		// time stamp
			//
			// Below if is the orginal. The next was added to allow for the 'close x'
			//
			//if(!f){
			//	p=document.createElement('div'); p.id='tinybox';
			//	m=document.createElement('div'); m.id='tinymask';
			//	b=document.createElement('div'); b.id='tinycontent';
			//	document.body.appendChild(m); document.body.appendChild(p); p.appendChild(b);
			//	m.onclick=TINY.box.hide; window.onresize=TINY.box.resize; f=1
			//}
			if(!f){
				p=document.createElement('div'); p.id='tinybox';
				m=document.createElement('div'); m.id='tinymask';
				b=document.createElement('div'); b.id='tinycontent';
				x=document.createElement('div'); x.id='tinyclosex';
				document.body.appendChild(m); document.body.appendChild(p); p.appendChild(b); p.appendChild(x);
				window.onresize=TINY.box.resize; f=1;
				//m.onclick=TINY.box.hide;	// Close box on any click outside mask.
				x.onclick=TINY.box.hide;	// Close box on X.
			}
			if(!a&&!u){
				p.style.width=w?w+'px':'auto'; p.style.height=h?h+'px':'auto';
				p.style.backgroundImage='none'; b.innerHTML=c
			}else{
				b.style.display='none'; p.style.width=p.style.height='100px'
			}
			this.mask();
			ic=c; iu=u; iw=w; ih=h; ia=a; this.alpha(m,1,40,3);
			up=1; //showing
			if(t){
				setTimeout(function(){TINY.box.hide()},1000*t)
			}
			// set focus to first input AFTER animation and DOM is processed, and elements are actually created.
			setTimeout(function(){TINY.box.setFocusAndEnterTo('tinybox', 'input');}, 1000);
		},
		fill:function(c,u,w,h,a){
			if(u){
				p.style.backgroundImage='';
				var x=window.XMLHttpRequest?new XMLHttpRequest():new ActiveXObject('Microsoft.XMLHTTP');
				x.onreadystatechange=function(){
					if(x.readyState==4&&x.status==200){TINY.box.psh(x.responseText,w,h,a)}
				};
				x.open('GET',c,1); x.send(null)
			}else{
				this.psh(c,w,h,a)
			}
		},
		psh:function(c,w,h,a){
			if(a){
				if(!w||!h){
					var x=p.style.width, y=p.style.height; b.innerHTML=c;
					p.style.width=w?w+'px':''; p.style.height=h?h+'px':'';
					b.style.display='';
					w=parseInt(b.offsetWidth); h=parseInt(b.offsetHeight);
					b.style.display='none'; p.style.width=x; p.style.height=y;
				}else{
					b.innerHTML=c
				}
				this.size(p,w,h)
			}else{
				p.style.backgroundImage='none'
			}
		},
		hide:function(){
			TINY.box.alpha(p,-1,0,3);
			up=0;
		},
		resize:function(){
			TINY.box.pos(); TINY.box.mask()
		},
		mask:function(){
			m.style.height=TINY.page.total(1)+'px';
			m.style.width=''; m.style.width=TINY.page.total(0)+'px'
		},
		pos:function(){
			var t=(TINY.page.height()/2)-(p.offsetHeight/2); t=t<10?10:t;
			p.style.top=(t+TINY.page.top())+'px';
			p.style.left=(TINY.page.width()/2)-(p.offsetWidth/2)+'px'
		},
		alpha:function(e,d,a){
			clearInterval(e.ai);
			if(d==1){
				e.style.opacity=0; e.style.filter='alpha(opacity=0)';
				e.style.display='block'; this.pos()
			}
			e.ai=setInterval(function(){TINY.box.ta(e,a,d)},20)
		},
		ta:function(e,a,d){
			var o=Math.round(e.style.opacity*100);
			if(o==a){
				clearInterval(e.ai);
				if(d==-1){
					e.style.display='none';
					e==p?TINY.box.alpha(m,-1,0,2):b.innerHTML=p.style.backgroundImage=''
				}else{
					e==m?this.alpha(p,1,100):TINY.box.fill(ic,iu,iw,ih,ia)
				}
			}else{
				var n=Math.ceil((o+((a-o)*.5))); n=n==1?0:n;
				e.style.opacity=n/100; e.style.filter='alpha(opacity='+n+')'
			}
		},
		size:function(e,w,h){
			e=typeof e=='object'?e:T$(e); clearInterval(e.si);
			var ow=e.offsetWidth, oh=e.offsetHeight,
			wo=ow-parseInt(e.style.width), ho=oh-parseInt(e.style.height);
			var wd=ow-wo>w?0:1, hd=(oh-ho>h)?0:1;
			e.si=setInterval(function(){TINY.box.ts(e,w,wo,wd,h,ho,hd)},20)
		},
		ts:function(e,w,wo,wd,h,ho,hd){
			var ow=e.offsetWidth-wo, oh=e.offsetHeight-ho;
			if(ow==w&&oh==h){
				clearInterval(e.si); p.style.backgroundImage='none'; b.style.display='block'
			}else{
				if(ow!=w){var n=ow+((w-ow)*.5); e.style.width=wd?Math.ceil(n)+'px':Math.floor(n)+'px'}
				if(oh!=h){var n=oh+((h-oh)*.5); e.style.height=hd?Math.ceil(n)+'px':Math.floor(n)+'px'}
				this.pos()
			}
		},
		save:function(){
			// Send all editable fields to TabView as array.
			var eTags = ["input", "textarea"];
			var saveElems = new Array();
			for ( eIdx in eTags )
			{
				var elems = p.getElementsByTagName( eTags[eIdx] );
				for ( var i=0; i < elems.length; i++ )
				{
					if ( elems[i].type == "radio" )						// if Radio, only save the selected.
					{
						if ( elems[i].checked )
							saveElems[elems[i].id] = elems[i].value;
					}
					else if ( elems[i].type == "checkbox" )				// if Checkbox, save the state, not value.
					{
						saveElems[elems[i].id] = elems[i].checked;
					}
					else
					{
						saveElems[elems[i].id] = elems[i].value;
					}
				}
			}
			tabview_save(saveElems);
			this.hide();
		},
		neuter: function(){
			var elems = p.getElementsByTagName( 'input' );
			for ( var i=0; i < elems.length; i++ )
			{
				elems[i].onclick = null;
				elems[i].onblur = null;
			}
			var elems = p.getElementsByTagName( 'textarea' );
			for ( var i=0; i < elems.length; i++ )
			{
				elems[i].onclick = null;
				elems[i].onblur = null;
			}
		},
		setFocusAndEnterTo:function( id, tag ){
			//
			// 1. Set focus to the first 'tag' found under the 'id' tree.
			// 2. Set "doEnter" to all 'tag's found under the 'id' tree.
			// * Do these two tasks together for efficiency.
			//
			var root = document.getElementById(id);
			if ( root )
			{
				var tags = root.getElementsByTagName(tag);
				if ( tags.length == 0 )
					tags = root.getElementsByTagName("button");
				if ( tags.length )
				{
					tags[0].focus();
					
					for (var i = 0; i < tags.length; i++)
					{
						tags[i].setAttribute("onKeyPress", "TINY.box.doEnter(event)");
					}
				}
			}
		},
		doEnter:function ( e, btnId ){
			//
			// Monitor all clicks on input fields. On ENTER, trigger the given button.
			// Default is 'tinydefault', which is usually given the to 'SAVE' button.
			//
			var key;
			if ( window.event )
				key = window.event.keyCode;		// IE
			else
				key = e.which;					// Firefox

			if ( key == 13 )
			{
				btnId = ( typeof btnId !== 'undefined' ) ? btnId : "tinydefault";
				var btn = document.getElementById(btnId);
				if ( btn != null )
				{
					btn.click();
					event.keyCode = 0
				}
			}
		},
		onFocusClear:function ( obj ){
			//
			// Focus has landed on obj.  If containing text is one of the "pre-set helper" strings, clear the text.
			//
			var clearStrings = ["Enter Title", "Enter Description"];	// Match TabView !
			if ( obj )
			{
				for ( var i in clearStrings )
				{
					if ( obj.innerHTML == clearStrings[i] )
						obj.innerHTML = "";
				}
			}
		},
		deleteRow:function(tableID, stamp){
			//
			// Delete the visible table row, and the corresponding "submittable" form elements.
			//
			//alert ( "Row " + stamp + " is toast" );
			var killIdx = TINY.util.getStampedRow( tableID, stamp );
			if ( killIdx > 0 )
			{
				// > 0.  Never kill the header row.
				var tbl = document.getElementById(tableID);
				tbl.deleteRow( killIdx );
				
				var fLen = document.forms[0].length;
				for ( var i=0; i < fLen ; i++ )
				{
					if ( document.forms[0][i].id.indexOf( stamp ) >= 0 )
					{
						var dead = document.getElementById( document.forms[0][i].id );
						dead.parentNode.removeChild( dead );
						i = i - 1;
						fLen = fLen - 1;
					}
				}
			}
			this.hide();
		},
		deleteDocument:function(tableID, killID){
			//
			// Mark the 'kill this' element in form, then remove from UI via deleteRow
			//
			var formIdx = ( tableID.search("_ALL") > 1 ) ? 1 : 0;
			var formelement = document.createElement("input");
			formelement.setAttribute("type", "hidden");
			formelement.setAttribute("name", killID);
			formelement.setAttribute("id", killID);
			formelement.setAttribute("value", "kill");
			document.forms[formIdx].appendChild(formelement);
			
			var killIdx = TINY.util.getStampedRow( tableID, killID );
			if ( killIdx > 0 )
			{
				// > 0.  Never kill the header row.
				var tbl = document.getElementById(tableID);
				tbl.deleteRow( killIdx );
			}
			this.hide();
		}
	}
}();

TINY.page=function(){
	return{
		top:function(){return document.documentElement.scrollTop||document.body.scrollTop},
		width:function(){return self.innerWidth||document.documentElement.clientWidth||document.body.clientWidth},
		height:function(){return self.innerHeight||document.documentElement.clientHeight||document.body.clientHeight},
		total:function(d){
			var b=document.body, e=document.documentElement;
			return d?Math.max(Math.max(b.scrollHeight,e.scrollHeight),Math.max(b.clientHeight,e.clientHeight)):
			Math.max(Math.max(b.scrollWidth,e.scrollWidth),Math.max(b.clientWidth,e.clientWidth))
		}
	}
}();

TINY.util=function(){
	return{
		deleteRowBox:function(tableID, stamp){
			// Pop a confirmation TinyBox to delete this item.
			//alert ( tableID + " " + stamp );
			var killIdx = TINY.util.getStampedRow(tableID, stamp);
			if ( killIdx <= 0 )
			{
				alert ( "Error finding proper row. (table=" +tableID+ " stamp=" +stamp+ "." );
			} else {
				//alert ( type + " - " + name + " - " + killIdx );
            	var tbl = document.getElementById(tableID);
				var type = tbl.rows[0].cells[0].innerHTML; // no first child. it's just text.
				var name = tbl.rows[killIdx].cells[0].firstChild.value;
				if ( typeof name == 'undefined' )
					name = tbl.rows[killIdx].cells[0].innerHTML;
				
				var html = "<h3>Delete " + type + "</h3>";
				html = html + "Delete " + type + " '<strong>" + name + "</strong>' from this profile?<br/><br/>";
				html = html + "<div class='buttons' style='padding-bottom: 15px;'>";
				html = html + "<button type='submit' class='positive' value='Save' onclick=\"TINY.box.deleteRow('"+tableID+"',"+stamp+")\"><img src='css/images/tick.png' alt='value_Save'/>Delete</button>";
				html = html + "<button type='submit' class='negative' value='CANCEL' onclick=\"TINY.box.hide()\"><img src='css/images/cross.png' alt='value_CANCEL'/>Cancel</button>";
				html = html + "<span style='width:10px; height: 25px;'>&nbsp;</span>";
				html = html + "</div>";
				TINY.box.show( html, 0, 0, 0, 1 );
			}
		},
		deleteDocumentBox:function(tableID, killID){
			// Pop a confirmation TinyBox to delete this item.
			//alert ( tableID + " " + killID );
			var killIdx = TINY.util.getStampedRow(tableID, killID);
			if ( killIdx <= 0 )
			{
				alert ( "Error finding proper row. (table=" +tableID+ " stamp=" +killID+ "." );
			} else {
				//alert ( killID + " - " + killIdx );
            	var tbl = document.getElementById(tableID);
				var name = tbl.rows[killIdx].cells[0].innerHTML;
				
				var html = "<h3>Delete Document Reference</h3>";
				html = html + "Delete document '<strong>" + name + "</strong>' from this profile?<br/><br/>";
				html = html + "NOTE: This only removes the document as a part of this profile.  The document itself will remain in the database unless deleted from its document management page.<br/><br/>";
				html = html + "<div class='buttons' style='padding-bottom: 15px;'>";
				html = html + "<button type='submit' class='positive' value='Save' onclick=\"TINY.box.deleteDocument('"+tableID+"','"+killID+"')\"><img src='css/images/tick.png' alt='value_Save'/>Delete</button>";
				html = html + "<button type='submit' class='negative' value='CANCEL' onclick=\"TINY.box.hide()\"><img src='css/images/cross.png' alt='value_CANCEL'/>Cancel</button>";
				html = html + "<span style='width:10px; height: 25px;'>&nbsp;</span>";
				html = html + "</div>";
				TINY.box.show( html, 0, 0, 0, 1 );
			}
		},
		getStampedRow:function(tableID, stamp){
            var tbl = document.getElementById(tableID);
            var rowCount = tbl.rows.length;
			var stampedIdx = -1;
            for(var i=0 ; i < rowCount ; i++)
			{
				var found = tbl.rows[i].innerHTML.indexOf(stamp); /* not 'search', it does regex */
				if ( found > 0 )
					stampedIdx = i;
			}
			return stampedIdx;
		},
		addCheckBox:function( profileElemID, tableID, rowDiv, labelDiv ){
			//
			// Similar to box.save, this creates a checkbox/input pair for the user.  There is a visual, clickable
			// pair of elements, and a mirrored 'hidden' pair.  The visual pair syncs with the hidden pair.  The hidden
			// pair is what actually gets submitted on 'Save'.  All this is to compensate for browser incompatibility.
			//
			var eTable = document.getElementById(tableID);
			var stamp = new Date().getTime();

			var baseID_check = ""  + profileElemID + "|" + stamp + "|0";		// 0 for checkbox, 1 for text field.
			var baseID_text  = ""  + profileElemID + "|" + stamp + "|1";		// 0 for checkbox, 1 for text field.
			var trueID_check = "id"  + baseID_check;
			var trueID_text  = "id"  + baseID_text
			var srcID_check  = "src" + baseID_check;
			var srcID_text   = "src" + baseID_text
			//
			// Create the visual objects. Users will edit them, but they are not submitted.  The magic is they have
			// 'id' set, but not 'name' set.  That keeps PHP from submitting.
			// NOTE: must create object 'blank' and then enter the innerHTML.  You cannot create an 'input' object,
			// because then the "onblur" setting doesn't get set.  I don't know why.
			// NOTE: For checkbox, trigger mirror 'onclick' and 'onblur'.  A click does not gain focus.
			//
			var divRowElement = document.createElement("div");
			divRowElement.id = rowDiv;
			var divLabelElement = document.createElement("div");
			divLabelElement.id = labelDiv;
			divLabelElement.setAttribute("style", "padding-left: 22px; padding-top:8px; vertical-align: bottom; line-height:13px");
			
			var checkElement = document.createElement();
			checkElement.innerHTML = "<input type='checkbox' id='"+srcID_check+"' onclick=\"TINY.util.mirror('"+baseID_check+"')\" onblur=\"TINY.util.mirror('"+baseID_check+"')\"></input>";

			var textElement = document.createElement();
			textElement.innerHTML = "<input type='text' id='"+srcID_text+"' maxlength='32' style='width:110px; height:100%; margin-left:8px;' onblur=\"TINY.util.mirror('"+baseID_text+"')\"></input>";

			divLabelElement.appendChild(checkElement);
			divLabelElement.appendChild(textElement);
			divRowElement.appendChild(divLabelElement);
			eTable.appendChild(divRowElement);
			//
			// Create the MIRROR objects.  The ones that gets submitted.
			//
			// Find which 'Forms' index to use.  If table has '_ALL' suffix, then it goes in the SECOND form on the page.
			var formIdx = ( tableID.search("_ALL") > 1 ) ? 1 : 0;
			
			var mirrorCheckElement = document.createElement("input");
			mirrorCheckElement.setAttribute("type", "hidden");
			mirrorCheckElement.setAttribute("name", trueID_check);
			mirrorCheckElement.setAttribute("id", trueID_check);
			document.forms[formIdx].appendChild(mirrorCheckElement);
			
			var mirrorTextElement = document.createElement("input");
			mirrorTextElement.setAttribute("type", "hidden");
			mirrorTextElement.setAttribute("name", trueID_text);
			mirrorTextElement.setAttribute("id", trueID_text);
			document.forms[formIdx].appendChild(mirrorTextElement);
		},
		mirror:function( id ){
			// Focus has come off of an element. Ensure its value matches the submitted form element.
            var srcElem = document.getElementById( "src" + id );
			var destElem = document.getElementById( "id" + id );
			destElem.setAttribute( "value", srcElem.value );
			//document.forms[0].appendChild( node );
		},
		encode:function( str ){
			// Encode. Matches CTinyBox.php
			str = str.replace(new RegExp("'", 'g'),  "===SQ===");
			str = str.replace(new RegExp("\"", 'g'), "===DQ===");
			str = str.replace(new RegExp("\r\n", 'g'),  "");
			return str;
		},
		htmlEncode:function( str ){
			// True HTML encoding of quotes.  Used when transfering strings from TinyBox to 'Expandable' table.
			str = str.replace(new RegExp("'", 'g'),  "&#039;");
			str = str.replace(new RegExp("\"", 'g'), "&#034;");
			return str;
		},
		stripFileName:function( path ){
			var filename = "";
			if ( path.length > 1 )
			{
				var slashpos = ( path.lastIndexOf('\\') > 0 ) ? path.lastIndexOf('\\') : path.lastIndexOf('/');
				filename = path.substring( slashpos + 1 );
			}
			return filename;
		}
	}
}();
