﻿//
// Questions:
//		The questions are defined in data_common.js
//
// CompQuestions:
//		key: The order of the array defines the user-facing question number. Re-arrange the order to change displayed order.
//		val: UQI, Module, Category, [x, y]...[x,y]..[x,y]..
//			 where x is value 0, 1, or 2.
//				0 == text not overriding. (I.e., leave base question text alone.)  This should be used as (0, "") when used.
//				1 == text overriding base question text.  
//				2 == text appended to base question text.
//			This allows component-specific text to any of the fields defined by a question.
//
var CompQuestions = [
	[1, 1, 2, 0, "", 0, "", 1, "<p>The information management system is used to document and track response to customer calls.</p> \
<p>Examples:</p> \
<ul>\
<li>For each call received, customer service representatives open an online form and enter details about the complaint</li>\
<li>Managers can search the system to identify calls with a similar complaint category or location</li>\
</ul>"
	],
	[2, 1, 2, 0, "", 0, "", 1, "<p>Data is reviewed via the information management system regularly, as specified by utility standard operating procedures.</p> \
<p>Examples:</p> \
<ul>\
<li>Customer service representatives review data at the beginning of every shift to assess call volume</li>\
<li>A contact center manager reviews data daily, looking for abnormal call volume or increases in complaints in specific categories</li>\
</ul>"
	],
	[3, 1, 2, 0, "", 0, "", 1, "<p>The user interface is active and viewable continuously.</p> \
<p>Example:  an automated, dedicated screen in the customer contact center continuously displays the most recent customer complaint calls and details</p>"
	],
	[4, 1, 2, 0, "", 0, "", 1, "<p>The information management system is accessed to investigate data for a specific purpose.</p> \
<p>Examples:</p> \
<ul>\
<li>Supervisors review water customer call data if a CCS alert is received to determine whether the complaint descriptions indicate a potential water quality incident</li>\
<li>Managers review customer call data following an CCS alert to see if any calls have been received in the same area of the distribution system</li>\
</ul>"
	],
	[5, 1, 2, 0, "", 0, "", 1, "<p>The alert investigation process is completed and/or documented within the information management system.</p> \
<p>Examples:</p> \
<ul>\
<li>At the end of each CCS alert investigation, the investigator enters the final determination of alert cause into the user interface</li>\
<li>When a CCS alert is received, the investigator opens an online form that walks them through the alert investigation procedures and allows them to enter all relevant information and findings</li>\
<li>Information about alert investigation activities are entered into the system immediately, allowing all users to see progress and even communicate about findings (for example, a CCS investigator could see that OWQM staff are also investigating a potential water quality anomaly in the same area of the distribution system)</li>\
</ul>"
	],
	[6, 1, 2, 0, "", 0, "", 1, "<p>Historical data is analyzed to learn typical data patterns and values and to configure the system.</p> \
<p>Example:  Historical data is analyzed to learn typical call volumes and complaints and to configure the data analysis algorithms</p>"
	],
	[101, 2, 2, 0, "", 0, "", 2, "<p>For CCS, an advanced data storage mechanism is often an enterprise or commercially available call management product.</p>"
	],
	[102, 2, 2, 0, "", 0, "", 2, "<p>The most common CCS datastreams are customer complaints (either received by the utility or funneled to the utility from an outside source such as a city call center) and work orders. Alerts may be generated based on call thresholds or by a specialized data analysis system.</p>"
	],
	[103, 2, 2, 0, "", 0, "", 2, "<p>Select 'Manual entry' if CCS data will be entered directly into the SRS information management system.  Select 'Automatic data transmission' if information will be entered into a separate call management system and then transmitted to the SRS information management system.</p>"
	],
	[104, 2, 2, 0, "", 0, "", 2, "<p>For CCS data, this question is relevant only if automatic data transmission is used.  If data will be entered manually, skip this question.</p>"
	],
	[106, 2, 2, 0, "", 0, "", 2, "<p>For CCS, this is commonly the number of customer complaints received in a day.  If possible, use information about calls currently received by the utility to estimate this value.</p>"
	],
	[108, 2, 2, 0, "", 0, "", 2, "<p>Common examples for CCS are call management systems and work management systems.</p>"
	],
	[109, 2, 2, 0, "", 0, "", 2, "<p>In general, the most recent data is stored locally and can be accessed and analyzed using all functionality of the user interface.  Older data is typically archived and, depending on the system, may be available only in tabular format by querying the archive.</p><p>Consider expected system use, such as alert investigation procedures or long-term trend analysis, when answering this question.  Specifically, consider if older data will be reviewed on a regular basis.</p>"
	],
	[111, 2, 2],
	[112, 2, 2, 0, "", 0, "", 2, "<p>The USEPA's Threshold Analysis Tool can be useful for implementing CCS, as it provides a methodical system to determine thresholds for automated data analysis. It can import a variety of spreadsheet formats such as .xls, .xlsx, .csv, and .txt.</p>"
	],
	[113, 2, 2, 0, "", 0, "", 2, "<p>For CCS, this process could range from a simple manual periodic review of complaint records by management, to the use of an automated algorithm that counts the frequency and spatial distribution of water quality related customer complaints in near-real time.</p>"
	],
	[201,   3, 2, 0, "", 0, "", 1, "<p>Some information management system user interfaces are very intuitive and clear to use.  They often function like webpages or common computer software that most users are accustomed to, and thus users can begin using the system with little to no training.  Conversely, other systems may require hours or even days of training before users feel comfortable using the system and getting the information they need.</p> \
<p>A user-friendly system becomes increasingly important as the number and variety of expected system users increases.  It is suggested that this requirement be prioritized if a large number of users is expected, if there will be users from different departments or agencies, or if new users will be frequently added.</p>"
	],
	[202,   3, 2, 0, "", 0, "", 1, "<p>In a system with a quick and simple process for accessing data, the user can easily obtain the information, tables, or plots they desire with just a few clicks.  In systems without a streamlined data access process, users may have to spend significant time initializing the system, specifying the information they desire, or waiting for plots or reports to be generated.</p> \
<p>The importance of fast access increases as the frequency of information management system use increases.  As the system may be accessed multiple times per day for CCS, it is suggested that easy access be a strong consideration; users may become frustrated if it takes a long time to access the information they need.</p>"
	],
	[203,   3, 2, 0, "", 0, "", 1, "<p>Most automated information management systems contain a user interface through which users can directly access and view data.  Generally, data can be viewed in a variety of formats including tabular summaries, time-series plots, control charts, and statistical summaries over an established interval.  Without this functionality, the user must query or export data from the system and then use external tools (such as Microsoft Excel) to analyze or plot the data.</p> \
<p>When prioritizing this requirement, consider the variety of complexity of analyses that will be performed on CCS data.  The ability to analyze and plot data within the user interface can increase the usability of the system if data will be frequently manipulated.</p>"
	],
	[204,   3, 2, 0, "", 0, "", 1, "<p>A customizable user interface allows the utility to create an interface for the system that best suits their needs.  Customization can range from designing individual screen layouts to adjusting system functionality and navigation pathways. The alternative is a system in which the layout and functionality of the interface are pre-defined within the product. With the ability to customize an interface, screens can be created to match screens from existing user interfaces or designed to specifically support standard operating procedures.</p> \
<p>In many cases, this functionality is not necessary for an effective CCS component.  Pre-defined or configurable interfaces are more easily implemented and can be sufficient for the needs of CCS users. This functionality is valuable if and only if utility staff are interested in and have the skills necessary to design and implement a custom interface, and if a variety of different screens and analyses are expected to be used.</p>"
	],
	[205,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows for efficient user-requested updates to the user interface.  It is common that through system use, users identify new screens or functionality that would allow for more effective or efficient monitoring.  Without this functionality, changes may require complex coding or significant system re-configuration to implement.</p> \
<p>This functionality is important if a variety of screens and information summaries will be used for CCS.  Its value increases if there is a strong desire to maintain an effective and user-friendly interface, and if there will be significant system use and thus opportunities to identify desired updates.</p>"
	],
	[206,   3, 2, 0, "", 0, "", 1, "<p>With this functionality, screens can be developed that are continuously updated with the most recent data.  These screens, which often show real-time data values, plots, a GIS display or a list of alerts, are intended to be constantly 'up' and visible to users.  For CCS, data that may be of interest to real-time monitoring may include a list of recent calls or CCS alerts with the status of investigation activities.</p> \
<p>This functionality is relevant if and only if it is expected that the user interface will be active and viewable continuously, such as displayed on a monitor in the customer service center.</p>"
	],
	[207,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows users to save analyses, plots, and views they've produced within the information management system as a digital file for their own future use or to share it with others electronically.</p> \
<p>In general, electronic files are an efficient way to save and share information from the information management system.  This ability is very valuable if the information management system can only be accessed from a limited number of locations or if limited users have rights to access the system.</p>"
	],
	[208,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows the user to access data from more than one data source within a single interface.  This commonly includes integration of data from multiple SRS components into one display (often referred to as a dashboard).  Without an integrated interface, users generally access the additional data types by logging onto separate systems or by contacting individuals who manage the other systems (e.g., water quality specialists) for the information.</p> \
<p>For an integrated interface to be beneficial for CCS, (a) there must be information stored in separate data system(s) that would be used regularly by CCS users, and (b) there would be value (e.g., a considerable time savings) in being able to access this data through one interface.  This functionality is generally not critical for utilities implementing only a single SRS component.</p>"
	],
	[209,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows for the development of custom screens or forms that allow users to enter data into the system.  For CCS, this can be used as a way to enter customer call or work order information directly into the information management system.</p> \
<p>This functionality is relevant if a separate call or work order management system is not used, and instead the CCS data will be entered and managed directly in the information management system.</p>"
	],
	[210,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows the user to develop geographic information systems (GIS) screens for viewing and interacting with data.  Information from the SRS is displayed spatially over basic GIS layers such as the distribution system pipe network or a street map.  A GIS-based user interface for CCS generally shows the locations of customer calls and alerts received. Below is an example which shows customer calls as a yellow icon superimposed on a map view of the utility service area.</p> \
<p><img src='qdb/figures/GIS_for_CCS.jpg'></p> \
<p>GIS displays are commonly used when creating a dashboard, but they can still be useful if used only for CCS.  An important step in a CCS investigation is to confirm that the customer complaints received are hydraulically connected, and this can efficiently be done through a GIS interface.</p>"
	],
	[212,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows users to access the user interface and data from more than one location.  The alternative is access through a single, pre-defined workstation.</p> \
<p>The importance of this functionality increases with the number of potential CCS users, particularly if those users are not in the same location.</p>"
	],
	[213,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows flexibility in the location of information management system access points.  A common solution is to configure the system so that anyone signed into the utility's computer network can access the user interface.  An alternative (which still allows access from multiple locations) is to establish fixed workstations from which the information management system can be accessed such as managers' offices or in the customer service center.</p> \
<p>This functionality generally facilitates system use and staff productivity, allowing users to access the data and interface wherever they are located.  It also provides flexibility if staff change work locations frequently.</p>"
	],
	[214,   3, 2, 0, "", 0, "", 1, "<p>With this functionality, users outside of the utility network can access the information management system.  Common external users include crews working in the field, staff working from home, or local partners.  One solution that is becoming increasingly popular is to provide access over the internet.  In this case, authenticated users can log in from any device connected to the internet.</p> \
<p>This solution is most useful if the system will frequently be accessed by off-site staff.  It is also convenient if the utility does not have an easily accessible network, or if on-site access points are not accessible or not staffed during non-business hours.</p>"
	],
	[215,   3, 2, 0, "", 0, "", 1, "<p>With this functionality, administrators can limit the information and screens that can be viewed by individual users.  For example, staff could be provided customer call data but be blocked from seeing system operations or alert investigation details.</p> \
<p>This functionality is primarily relevant if any of the information accessed through the information management system is considered sensitive or if a large variety of users have access to the system.</p>"
	],
	[216,   3, 2, 0, "", 0, "", 1, "<p>With this functionality, administrators can limit individual users' ability to make any changes or input information into the system.  These users can still view and plot the data as they wish but cannot input information into the system.  Comparing it to a spreadsheet application, they could open and work with a file but not save it.  This ensures that information and system configuration is not changed by users, either intentionally or accidentally.</p> \
<p>This functionality is relevant only if there are opportunities to 'write' to the system (some systems provide only data access and have no ways to enter information).  It becomes increasingly important as the number of users increases – particularly those with no responsibilities requiring them to input information.</p>"
	],
	[217,   3, 2, 0, "", 0, "", 1, "<p>With this functionality, each user has their own account and administrators can track system use for individual users.  This may include times the user is logged on and actions they take.  This functionality can be used to document which users are involved in the acknowledgement and investigation of specific alerts.</p> \
<p>This functionality is useful if there are multiple users with defined responsibilities and if there is a desire to track system utilization and evaluate staff performance during investigations.  However, to be effective, users must log in and out of the system using their own login information.</p>"
	],
	[218,   3, 3, 0, "", 0, "", 1, "<p>This functionality allows the user to create desired tables at any time, including selecting the information and time period to include.  For example, a user may want to include only specific complaint fields in a table of customer complaints or may wish to only view calls from specific zip codes or pressure zones. Without this ability, the user can only view tables that were pre-defined during system implementation.</p> \
<p>As tables are an effective way to view CCS data, it is suggested that this functionality be prioritized.  This is especially valuable if there are users experienced with generating and manipulating tables (such as in Excel) who would likely expect and frequently use this functionality.</p>"
	],
	[219,   3, 3, 0, "", 0, "", 1, "<p>Users often generate the same tables repeatedly as they regularly review case details and investigate alerts.  Some information management systems allow the user to save templates for these commonly used tables for easy access:  the tables can be generated simply by clicking the desired template as opposed to having to re-select the datastream(s), time period, or complaint fields.</p> \
<p>The ability to save table templates can significantly reduce the time required for data review.  The value of this functionality is directly related to the number of analysis types and the complexity of tables generated, as well as the level of effort required to create tables in the selected information management system.</p>"
	],
	[220,   3, 3, 0, "", 0, "", 1, "<p>In addition to creating tables for the most current data, users may wish to view data from the past.  This could include data from any previous time period, from days to years.  For example, when considering a sudden rise in complaints related to taste for the month of December, a utility may wish to review call frequency from previous Decembers to assess whether this is a seasonal trend with a known cause.</p> \
<p>This functionality can be very valuable, particularly if users will actively evaluate data and seek to better understand call frequency and trends.  It is especially valuable if there are users experienced in data evaluation.</p>"
	],
	[223,   3, 3, 0, "", 0, "", 1, "<p>Time-series plots show the values of a single parameter across time and are an efficient way to view large amounts of time-series data.  For example, utility staff could develop a plot of the daily number of complaints for the past month to search for patterns in the data.</p> \
<p>Since CCS analyzes time-variable data, time-series plots are useful analysis tools.  An alternative to developing these plots directly in the information management system is for users to export data from the system and use external tools such as Excel to create plots.</p>"
	],
	[224,   3, 3, 0, "", 0, "", 1, "<p>This functionality allows the user to create desired plots at any time, including selecting the datastreams and time period to include.  Without this ability, the user can only view plots that were pre-defined during system implementation within the user interface.</p> \
<p>This functionality can be valuable, particularly if users are experienced in data review and plot generation.  Even with the best planning, it is still likely that users will identify additional desired data plots.</p>"
	],
	[227,   3, 3, 0, "", 0, "", 1, "<p>This functionality allows users to change the length of time shown on plots (change the x-axis).  Review of time-series data on different timescales can provide insight into trends at various levels of detail.  For example, a short time period can allow for analysis of recent complaint trends, whereas longer time periods will reflect seasonal trends impacted by changes in source water quality and treatment processes.</p> \
<p>The ability to easily change the time period of time-series data plots, rather than being hard-coded to always show data for a set time period, such as the most recent 7 days, is useful for understanding patterns in complaints received and for investigating potential water quality anomalies with respect to both short and long-term trends.</p>"
	],
	[232,   3, 3, 0, "", 0, "", 1, "<p>This functionality allows the user to extract desired datasets at any time, including the ability to choose the datastreams and time period of data to include.  It may also be possible to export only data that meet certain criteria, such as calls that fall in a certain customer complaint category.</p> \
<p>This functionality allows users to export data for current use or to save data for later use.  This is particularly valuable if the information management system is not accessible from all user workstations, if data is to be shared with outside entities, or if data is archived in a way such that it cannot be easily accessed.</p>"
	],
	[234,   3, 3, 0, "", 0, "", 1, "<p>This functionality ensures that any exported data can be used to view and analyze the data in external software.  Common formats include Excel (xlsx) files, comma-separated value (csv) files, and text (txt) files which can be opened using most spreadsheet software.  The Threshold Analysis Tool, developed by USEPA for detailed statistical analysis of customer complaints, uses txt files.</p> \
<p>It is highly recommended that this be prioritized if external software will be used to view or analyze data.  This ensures that maximum benefit can be received from data exported from the information management system.</p>"
	],
	[235,   3, 3, 0, "", 0, "", 1, "<p>With this functionality, users can generate desired reports as needed.  Without this functionality, the average user is unable to create their own report:  advanced training or administrative privileges are necessary to generate new reports.  Note that reports are different from the data exports covered in previous requirements: reports summarize data as opposed to providing specific data values.  Example reports include monthly, weekly, and daily statistical summaries of complaint volume, possibly by complaint category.</p> \
<p>When ranking this functionality, consider what reports would be used by staff.  For many systems in which the data produced is the focus, reporting may be unnecessary.  Also, this is likely not needed if a work management system is being used that has reporting capabilities</p>"
	],
	[236,   3, 3, 0, "", 0, "", 1, "<p>This functionality allows users to set up customized templates so that the desired reports can be quickly generated when desired.  For example, IT staff may set up a template that generates a monthly summary of data completeness.  Some systems even allow the user to set up regular reporting so that the desired reports are automatically generated and transmitted to appropriate staff.</p> \
<p>This functionality is relevant if and only if the similar report types are generated regularly.  It becomes more important if it is difficult to create reports in the selected information management system.</p>"
	],
	[237,   3, 3, 0, "", 0, "", 1, "<p>With this functionality, users can obtain a list of incidents that meet specified criteria.  For example, they could generate a list of alerts, a list of all work orders in a certain time frame, or a list of all complaints within a pressure zone.</p> \
<p>Again, the importance of this functionality directly relates to whether this information will be used by utility staff.  Note that these lists can be difficult to generate manually from the data, and thus it is suggested that this functionality be included if it is expected that these lists would be used.</p>"
	],
	[239,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows for basic automated data analysis.  Users identify the datastream(s) to be analyzed and the time period over which sums should be calculated.  An alert is generated if the total values surpass user-define thresholds.  For example, the system could be configured so that an alert is produced if more than 7 calls related to water quality are received in a week.  The complexity of this analysis varies across systems, with some allowing for multiple analyses to be run concurrently or for different thresholds based on the day of the week.</p> \
<p>This functionality is critical if and only if real-time data analysis will be implemented within the information management system.</p>"
	],
	[240,   3, 4, 0, "", 0, "", 1, "<p>With this functionality, the information management system has additional, built-in data analysis capabilities beyond basic thresholds.  Examples include statistical methods such as rate of change or cluster analysis.</p> \
<p>This functionality is generally used at utilities with staff with the expertise and initiative to select and implement algorithms.  Most utilities, however, choose to implement cumulative threshold alerting described above, or they select an external product with support from the vendor.</p>"
	],
	[241,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows for multiple data analysis functions to run concurrently.  For example, a utility may run specialized data analysis software alongside threshold alerting, or may wish to do cumulative threshold analysis for a variety of time windows.</p> \
<p>This functionality is generally used at utilities with staff with the expertise and initiative to select and implement multiple algorithms.  While it can result in more alerts, it can also provide improved detection capabilities.</p>"
	],
	[242,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows the user to enter advanced logic to determine which alerts are generated and conveyed to utility staff.  This can be used to reduce the number of alerts received by entering criteria to suppress alerts (not convey them via the user interface or automatic messages) that are clearly invalid or are redundant.  An example of this logic is suppressing alerts that happen within X minutes of another alert.</p> \
<p>Utilities that have leveraged this functionality have found it to be extremely effective in reducing the number of alerts received, and thus the number of times that utility staff must respond.  Though the logic may take some effort to implement and optimize, it is recommended if alerts will be investigated in real time.</p>"
	],
	[243,   3, 4, 0, "", 0, "", 1, "<p>With this functionality, alerts can be conveyed to staff using visual and/or audible cues within the user interface.  Systems vary in their flexibility to convey alerts through the user interface, from a simple list of alerts to a sophisticated display of alerts using a GIS interface.</p> \
<p>This functionality is relevant for utilities that will have a continuously-running user interface through which alerts will be conveyed to staff.  This is a particularly effective solution for utilities that already receive alerts in this way outside of an SRS.</p>"
	],
	[244,   3, 4, 0, "", 0, "", 1, "<p>With this functionality, alerts can be automatically transmitted to specified staff members, generally via email, mobile app alert or text message.  Alert customization options vary across information management systems, with some systems even allowing different individuals to be notified depending on the day and time.</p> \
<p>This functionality is important if the user interface is not continuously monitored by staff responsible for alert investigation, or if some staff (such as managers) are interested in being notified of each alert produced.</p>"
	],
	[245,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows the user to customize the information that is included in automatically-generated alert notifications.  By including relevant summary information, users can often get a sense of the potential cause or significance of an alert at a glance and may even be able to determine that an alert is invalid without logging into the information management system.  For example, the message could provide information about complaint descriptions and locations.</p> \
<p>Staff at utilities who have implemented automatic transmission of alerts have found this functionality extremely beneficial.  They appreciate the convenience of getting an overview of alerts without having to log into the information management system, which is particularly valuable when they are in a meeting or away from the office.</p>"
	],
	[246,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows users to enter advanced logic to determine who will receive automated alert notifications.  For example, it may be possible to send alerts to different groups of users depending on the time or day of the week.  This ensures that the appropriate personnel who are capable of acting on an alert receive the alert, while off-duty or off-site personnel are not bothered.</p> \
<p>This functionality is generally appreciated by staff who receive alerts as they do not receive notifications of alerts they are not responsible for investigating, including alerts occurring when they are not working.</p>"
	],
	[247,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows for the system to be configured to produce follow-up notifications if alerts are not acknowledged in a defined period of time.  For example, an audible alert generated at the users workstation could be repeated every X minutes until the alert is acknowledged, or e-mails could be re-sent (or even sent to alternate personnel) requesting acknowledgement.</p> \
<p>This functionality can help ensure that all alerts are responded to in real time.  Otherwise, an alert may go unnoticed and thus not be investigated.  This can be particularly valuable if multiple users receive alerts:  each may assume someone else is responding.</p>"
	],
	[248,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows users to enter investigation details through the user interface.  This is a convenient way to document investigations and ensures that information is saved for future reference.  In addition, it may be possible configure the system to guide the user through the investigation process or to require key fields to be populated before the data input is considered complete.</p> \
<p>This functionality is not necessary for an effective CCS component, and many utilities will not need or use it.  However, it can streamline alert investigations, particularly if multiple staff members participate in the investigation of a single water quality event.  This feature also provides an efficient method of documenting alert investigation, foregoing to the need to maintain investigation documentation in a separate system.  Furthermore, storing alert investigation details electronically makes them much easier to query, which can serve as an effective resource during future investigations.</p>"
	],
	[249,   3, 4, 0, "", 0, "", 1, "<p>This functionality facilitates implementation of automated data analysis by allowing the user to evaluate the performance of different data analysis tools or configurations within the information management system.  For example, the user may be able to specify different time windows or cumulative thresholds and obtain a list of the alerts that would have been generated on historical data using those settings.</p> \
<p>This functionality is likely not necessary for CCS.  Often, analysis of threshold alerting can be tested using Excel or similar spreadsheet tools.  Also, the USEPA's Threshold Analysis Tool provides a convenient alternative to this functionality.</p>"
	],
	[250,   3, 5, 0, "", 0, "", 1, "<p>This functionality ensures quick and easy access to older data which has been archived or moved to a data historian.  Without this, data extraction is more complicated and time-consuming, and may even require staff with specialized privileges or training to fulfill the data request.</p> \
<p>The importance of this functionality depends on the expected frequency at which archived data will need to be accessed.  This is a function of the amount of \"short term\" data available in the system relative to the amount of data typically required to meet the expected system uses (for example, if long term water quality trends will be analyzed).  This is often not an issue for CCS:  due to the relatively small number of data points generated, a long period of data can generally remain in short-term storage.</p>"
	],
	[251,   3, 5, 0, "", 0, "", 1, "<p>With data security, safeguards are implemented to protect information from being viewed or modified by unauthorized individuals. Potentially sensitive CCS information includes customer contact information or location.</p> \
<p>This requirement will be defined in more detail by technical staff.  When ranking this in the context of the CCS component, consider the existence of information or views generated through CCS that you consider particularly sensitive.</p>"
	]
	
];	/* end CompQuestions */

var Modules = null;  // If set to null, "CommonModules" - the default - is used.
var ModulesAbbrs = null;  // If set to null, "CommonModulesAbbrs" - the default - is used.
var TabPages = null;  // If set to null, entries in "CommonTabPages" - the default - are used.

