﻿//
// Questions:
//		The questions are defined in data_common.js
//
// CompQuestions:
//		key: The order of the array defines the user-facing question number. Re-arrange the order to change displayed order.
//		val: UQI, Module, Category, [x, y]...[x,y]..[x,y]..
//			 where x is value 0, 1, or 2.
//				0 == text not overriding. (I.e., leave base question text alone.)  This should be used as (0, "") when used.
//				1 == text overriding base question text.  
//				2 == text appended to base question text.
//			This allows component-specific text to any of the fields defined by a question.
//
var CompQuestions = [
	[4, 1, 2, 0, "", 0, "", 1, "<p>The information management system is accessed to investigate data for a specific purpose.</p> \
<p>Examples:</p> \
<ul>\
<li>Managers use the system to investigate possible water quality anomalies identified through the SRS surveillance components</li>\
<li>Supervisors review water quality data if an elevated number of customer complaints are received</li>\
<li>The system is monitored to ensure water quality is preserved during periods of operations changes or distribution system work</li>\
</ul>"
	],
	[5, 1, 2, 0, "", 0, "", 1, "<p>The alert investigation process is completed and/or documented within the information management system.</p> \
<p>Examples:</p> \
<ul>\
<li>At the end of each investigation of possible contamination, the investigator enters the final determination of alert cause into the user interface</li>\
<li>When a possible contamination incident is identified, the CM investigator opens an online form that walks them through investigation procedures and allows them to enter all relevant information and findings</li>\
<li>Information about investigation activities are entered into the system immediately, allowing all users to see progress and even communicate about findings</li>\
</ul>"
	],

	[101, 2, 2, 0, "", 0, "", 2, "<p>For CM, the information to be managed is generally investigation activities and findings.  Other data, such as water quality data or customer complaints, is managed within other SRS components.</p>"
	],
	[112, 2, 2, 0, "", 0, "", 2, "<p>When answering this question, consider only views and analyses that will be initiated within the CM process.  In many cases, these actions will be completed by component teams and the results will be provided to the CM investigator.</p>"
	],

	[201,   3, 2, 0, "", 0, "", 1, "<p>Information management system with intuitive user interfaces are clear to use.  They often function like webpages or common computer software that most users are accustomed to, and thus users can begin using the system with little to no training.  Conversely, other systems may require hours or even days of training before users feel comfortable using the system and getting the information they need.</p> \
<p>A user-friendly system becomes increasingly important as the number and variety of expected system users increases.  It is suggested that this requirement be prioritized if a large number of users is expected, if there will be users from different departments or agencies, or if new users will be frequently added.</p>"
	],
	[202,   3, 2, 0, "", 0, "", 1, "<p>In a system with a quick and simple process for accessing data, the user can easily obtain the information, tables, or plots they desire with just a few clicks.  In systems without a streamlined data access process, users may have to spend significant time initializing the system, specifying the information they desire, or waiting for plots or reports to be generated.</p> \
<p>The importance of this functionality depends on the extent to which the information management system will be used during the credibility determination process.  If investigators will use the interface to obtain information to support critical decisions, such as where to collect samples or whether to isolate parts of the system, it is suggested that this functionality be prioritized.</p>"
	],
	[203,   3, 2, 0, "", 0, "", 1, "<p>Most automated information management systems contain a user interface through which users can directly access and view data.  Generally, data can be viewed in a variety of formats including tabular summaries, time-series plots, control charts, and statistical summaries over an established interval.  Without this functionality, the user must query or export data from the system and then use external tools (such as Microsoft Excel) to analyze or plot the data.  Transferring to external tools may expose the data to security risks and file corruption.</p> \
<p>When rating this functionality, consider if and how data will be directly analyzed during the credibility determination process.  At many utilities, investigators will rely on the component teams for data summaries or plots, and thus this functionality would not be needed for CM.</p>"
	],
	[204,   3, 2, 0, "", 0, "", 1, "<p>A customizable user interface allows the utility to create an interface for the system that best suits their needs.  Customization can range from designing screen layouts to adjusting system functionality and navigation pathways. The alternative is a system in which the layout and functionality of the interface are pre-defined within the product.</p> \
<p>This functionality is valuable if and only if utility staff are interested in and have the skills necessary to design and implement a custom interface.  In many cases, pre-defined or configurable interfaces can be sufficient and easy to implement.  Conversely, systems with a customizable interface may allow users to obtain and analyze specific information in a more efficient manner, and screens can be created to match existing user interfaces or to specifically support investigation and response activities.</p>"
	],
	[207,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows users to save analyses, plots, and views they've produced within the information management system as a digital file.  This functionality allows the user to take the work they've done away from the information system, either for their own future reference or to share with others, such as other personnel during an alert investigation or during training.</p> \
<p>This ability is extremely valuable if the information management system can only be accessed from a limited number of locations or if limited users have rights to access the system.  In general, electronic files are an efficient way to save and share information from the information management system.</p>"
	],
	[208,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows the user to access data from more than one source within a single interface.  This commonly includes integration of data from multiple SRS components into one display, often referred to as a dashboard.  Without an integrated interface, users generally access the additional data types by logging onto separate systems or by contacting individuals who manage the other systems (such as customer call operators) for the information.</p> \
<p>For an integrated interface to be beneficial to an SRS Manager, there must be information stored in separate data system(s) that would be used regularly during the credibility determination process, and there must be value (for example, a considerable time savings) in being able to access this data through one interface.</p>"
	],
	[210,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows the user to develop geographic information systems (GIS) screens for viewing and interacting with data.  Information from the SRS can be displayed spatially over basic GIS layers such as the distribution system pipe network or a street map.</p> \
<p>GIS screens can be extremely beneficial during the credibility determination process and response planning.  For example, an SRS Manager can examine the location of customer complaints and alerting water quality monitoring stations with the utility's distribution system map when selecting a site for sampling.  Particularly if data from more than one component will be included in a single interface, it is recommended that this functionality be prioritized unless unfeasible.</p>"
	],
	[212,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows users to access the user interface and data from more than one location.  The alternative is access through a single, pre-defined workstation.</p> \
<p>Access from multiple locations is likely not necessary if all users will be located in the same area (such as a control center).  However, it becomes increasingly important as the number of expected users increases or if they are not co-located.</p>"
	],
	[213,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows flexibility in where the information management system can be accessed.  A common solution is to configure the system so that anyone signed into the utility's computer network can access the user interface for the SRS information management system.  The alternative (which still allows access from multiple locations) is to establish fixed workstations from which the information management system can be accessed such as laboratories, managers' offices, or in the operations center.</p> \
<p>This functionality generally improves efficient system access, allowing users to access the data and interface wherever they are located.  This is also useful if the utility does not have dedicated IT staff that can update the locations of fixed access points if needed (such as if a manager changes offices).</p>"
	],
	[214,   3, 2, 0, "", 0, "", 1, "<p>With this functionality, users outside of the utility network can access the information management system.  For CM, external users may include staff working from home or response partner agencies.  One solution that is becoming increasingly popular is to provide access through the internet.  In this case, users can log in from any device connected to the internet.</p> \
<p>This functionality may be not be important for CM, as the credibility determination process will likely be managed from within the utility. However, it becomes important if off-site access will be needed or if local, state and federal response partner agencies would like access to the utility's dashboard.</p>"
	],
	[234,   3, 3, 0, "", 0, "", 1, "<p>This functionality ensures that any exported data can be viewed and analyzed using external software.  Common formats include Excel (xlsx) files, comma-separated value (csv) files, and text (txt) files which can be opened using most spreadsheet software.</p> \
<p>It is highly recommended that this be prioritized if there is a desire to export data for external use.  It ensures that maximum benefit can be received from data exported from the information management system.  For CM, this requirement may be important for data sharing between response partners and utilities, especially if response partners will perform additional data analyses.</p>"
	],
	[244,   3, 4, 0, "", 0, "", 1, "<p>With this functionality, alerts can be automatically transmitted to specified staff members, generally via email, mobile app alert or text message.  Alert customization options vary across information management systems, with some systems even allowing different individuals to be notified depending on the day and time.</p> \
<p>This functionality is important if the user interface is not continuously monitored by staff responsible for alert investigation, or if there are staff who would like to be notified of each alert produced.</p>"
	],
	[246,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows users to enter advanced logic to determine who will receive automated alert notifications.  For example, the system could be configured to send alerts to different groups of users depending on the time or day of the week so that staff only receive alerts when they are on duty.  It may also be possible to automatically send all new alerts to the SRS Manager and other investigators once CM is activated.</p> \
<p>This functionality can help ensure that users get all alerts relevant to their job function without receiving unnecessary alert notifications.</p>"
	],
	[247,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows for the system to be configured to produce follow-up notifications if alerts are not acknowledged in a defined period of time.  For example, an audible alert generated at the users workstation could be repeated every X minutes until the alert is acknowledged, or e-mails could be re-sent (or even sent to alternate personnel) requesting acknowledgement.</p> \
<p>This functionality can help ensure that all alerts are responded to in real time.  Particularly during CM activities, staff may be preoccupied with incidence response activities and not recognize new alerts related to the ongoing investigation.</p>"
	],
	[248,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows users to enter investigation details through the user interface.  This is an efficient way to document investigations and ensures that information is saved for future reference.  It may be possible to configure the system to guide the user through the investigation process or to require key fields to be populated before the data input is considered complete.  In more advanced systems, it can serve as an effective means of sharing information among staff over the course of the investigation, provided that the information is entered in real time and all users have access to the user interface.</p> \
<p>This functionality is not necessary for an effective CM component, and some utilities will not need or use it.  However, it can streamline investigations, particularly if multiple staff members participate in the credibility determination process.  Furthermore, storing alert investigation details electronically makes them much easier to query, which can serve as an effective resource during future investigations.</p>"
	]
	
];	/* end CompQuestions */

var Modules = null;  // If set to null, "CommonModules" - the default - is used.
var ModulesAbbrs = null;  // If set to null, "CommonModulesAbbrs" - the default - is used.
var TabPages = { 
tabPage35: [1, "<div class='boxedInstructions'>For the CM Component, there are no Data Storage requirements.</div>"],
};

