﻿//
// Questions:
//		The questions are defined in data_common.js
//
// CompQuestions:
//		key: The order of the array defines the user-facing question number. Re-arrange the order to change displayed order.
//		val: UQI, Module, Category, [x, y]...[x,y]..[x,y]..
//			 where x is value 0, 1, or 2.
//				0 == text not overriding. (I.e., leave base question text alone.)  This should be used as (0, "") when used.
//				1 == text overriding base question text.  
//				2 == text appended to base question text.
//			This allows component-specific text to any of the fields defined by a question.
//
var CompQuestions = [
	[2, 1, 2, 0, "", 0, "", 1, "<p>Data is reviewed via the information management system regularly, as specified by utility standard operating procedures.</p> \
<p>Examples:</p> \
<ul>\
<li>Security supervisors review alert data weekly to identify patterns</li>\
<li>Security system technicians review alert data monthly to identify equipment maintenance needs</li>\
</ul>"
	],
	[3, 1, 2, 0, "", 0, "", 1, "<p>The user interface is active and viewable continuously.</p> \
<p>Example:  A dedicated screen in the control room continuously displays real-time intrusion alerts and video information</p>"
	],
	[4, 1, 2, 0, "", 0, "", 1, "<p>The information management system is accessed to investigate data for a specific purpose.</p> \
<p>Example:  Upon receiving an intrusion alert, utility security staff review a video clip of the intrusion, real-time imagery from cameras at the site, or the status of other intrusion sensors at the site of the alert</p>"
],
	[5, 1, 2, 0, "", 0, "", 1, "<p>The alert investigation process is completed and / or documented within the information management system.</p> \
<p>Examples:</p> \
<ul>\
<li>At the end of each ESM alert investigation, the investigator enters the final determination of alert cause into the user interface</li>\
<li>When an ESM alert is received, the investigator opens an online form that walks them through the alert investigation procedures and allows them to enter all relevant information and findings</li>\
<li>Information about alert investigation activities are entered into the system immediately, allowing all users to see progress and even communicate about findings (e.g., an ESM investigator could see that CCS staff have already received witness accounts of the intrusion)</li>\
</ul>"
	],
	[102, 2, 2, 0, "", 0, "", 2, "<p>For ESM, the datastreams are video data from surveillance cameras.  Alerts are often received from intrusion sensors, or even manually-entered alerts from witness accounts or threatening messages received.  Many utilities have existing intrusion sensors and cameras, and new equipment may be installed as part of ESM implementation.</p><p>If you select \"No decision has been made\", skip to question #9.</p>"
	],
	[104, 2, 2, 0, "", 0, "", 2, "<p>For many ESM systems, data is only transmitted when an alert occurs.  Thus, estimates of alarm frequency may be used for this calculation, which can be based on historical alarm rates.  Conversely, some ESM systems may also transmit system health data periodically and this frequency should be entered here.</p> <p>If more than one interval will be used for different datastreams, list each.</p>"
	],
	[105, 2, 2, 0, "", 0, "", 2, "<p>If video monitoring data is being transmitted, this answer should be \"Yes\".  If only alarm information is being transmitted, then answer \"No.\"</p><p>Estimates of the amount of video data produced can be developed empirically by monitoring the data traffic of existing cameras or by using data calculator software provided by the camera manufacturer.</p><p>Note that all video data captured by a camera may not be communicated to the information management system.  For example, video data may be only transmitted when an alert is received.  Thus, depending on the system configuration, further differentiation of video data which accounts for transmission frequency may be needed for an accurate approximation of data usage and rates.</p>"
	],
	[106, 2, 2, 0, "", 0, "", 2, "<p>For these calculations, include all datastreams except those from sensors producing abnormally large quantities of data described in the previous question.</p><p>As an example, if 2 intrusion sensors are installed at 10 monitoring locations which experience, on average, one alarm a week, the number of data points would be 2 datastreams per location * 10 locations * 1/7 alarms per day = 2.9 data points per day.</p><p>If system health data is being transmitted every 5 minutes, then the number of data points would be 2 datastreams per location * 10 locations * 288 polling times per day = 5760 data points per day (288 was obtained by taking the 1440 minutes in a day and dividing by 5).</p>"
	],
	[107, 2, 2, 0, "", 0, "", 2, "<p>This information can help identify instrument maintenance needs and is useful during alert investigations to determine if the data triggering the alert is accurate.</p>"
	],
	[108, 2, 2, 0, "", 0, "", 2, "<p>A common example for ESM is a SCADA system in which data from existing intrusion detection sensors is stored.  Other examples include an access control or video monitoring system.</p>"
	],
	[109, 2, 2, 0, "", 0, "", 2, "<p>In general, the most recent data is stored locally and can be accessed and analyzed using all functionality of the user interface.  Older data is typically archived, and depending on the system, may be available only in table format by querying the archive. Consider expected system use and alert investigation procedures when answering this question.  Specifically, consider if older data should be reviewed on a regular basis.</p><p>For ESM, utilities often choose to make between one and six months of data directly accessible through the information management system.</p>"
	],
	[110, 2, 2, 0, "", 0, "", 2, "<p>If video will not be used or if external software will be used to view and manage video data, select 'No decision has been made'.</p>"
	],
	[111, 2, 2, 0, "", 0, "", 2, "<p>Please provide details on this information, including the location where the information is stored, if known.</p>"
	],
	[112, 2, 2, 0, "", 0, "", 2, "<p>Note that if all necessary functionality is available through the information management system, use of external products may be unnecessary.</p>"
	],

	[201,   3, 2, 0, "", 0, "", 1, "<p>Some information management system user interfaces are very intuitive and clear to use.  They often function like webpages or common computer software that most users are accustomed to, and thus users can begin using the system with little to no training.  Conversely, other systems may require hours or even days of training before users feel comfortable using the system and getting the information they need.</p> \
<p>A user friendly system becomes increasingly important as the number and variety of expected system users increases.  It is suggested that this requirement be prioritized if a large number of users is expected, if there will be users from different departments or agencies, or if new users will be frequently added.</p>"
],
	[202,   3, 2, 0, "", 0, "", 1, "<p>In a system with a quick and simple process for accessing the data, the user can easily obtain the alert or video data they desire with just a few clicks.  In systems without a streamlined data access process, users may have to spend time initializing the system or waiting for data to be retrieved.</p> \
<p>It is suggested that easy access be a strong consideration for ESM.  Fast response to a suspected intrusion is important to limit damage, and response may be delayed if it takes a long time to access the data needed.</p>"
],
	[204,   3, 2, 0, "", 0, "", 1, "<p>A customizable user interface allows the utility to design the user interface to best meet their users' needs, including specifying screen layouts and navigation through screens. The alternative is a system in which the layout and functionality of the interface are pre-defined within the product.  With the ability to customize an interface, screens can be created to match screens from existing user interfaces or designed to specifically support standard operating procedures.  For example, utility staff could develop and save a screen for each ESM site that shows the most recent intrusion alerts and video, as well as any law enforcement intelligence information that pertains to that location.</p> \
<p>This functionality is generally valuable if and only if utility staff are interested in and have the skills necessary to design and implement a custom interface.  In many cases, pre-defined interfaces can be sufficient and easy to implement – particularly in products commonly used in the drinking water industry.</p>"
],
	[205,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows for efficient user-requested updates to the user interface.  For example, it is common that through system use, users identify new screens or functionality that would allow for more effective or efficient monitoring.  Without this functionality, changes may require complex coding or significant system re-configuration to implement.</p> \
<p>This functionality is important if there is a strong desire to maintain an effective and user-friendly interface, and if there will be significant system use and thus opportunities to identify desired updates. Unless there is a high degree of confidence that modifications won't be necessary, it is suggested that this functionality be prioritized.  Without the capability to update the interface, the ability of the ESM component to grow and evolve will be limited.</p>"
],
	[206,   3, 2, 0, "", 0, "", 1, "<p>With this functionality, screens can be developed that are continuously updated with the most recent data.  These screens, which often show alerts and video in real time, are intended to be constantly 'up' and visible to users.  The sample screen shot below shows real-time door switch status and video from four ESM locations.</p> \
<p><img src='qdb/figures/ESM_real_time.jpg'></p> \
<p>This functionality is critical if and only if it is expected that the user interface will be active and viewable continuously, such as displayed on a monitor in the utility security office.</p>"
],
	[208,  3, 2, 0, "", 0, "", 1, "<p>This functionality allows the user to access data from more than one source within a single interface.  This commonly includes integration of data from multiple SRS components into one display, often referred to as a dashboard.  Without an integrated interface, users generally access additional data types by logging onto separate systems or by contacting individuals who manage the other systems (such as customer call operators) for the information.  For ESM users, other data sources that may be useful include information about customer complaint calls and intelligence from local or federal law enforcement agencies.</p> \
<p>For an integrated interface to be beneficial for ESM, (a) there must be information stored in separate data system(s) that would be used regularly by ESM users, and (b) there would be value (such as a considerable time savings) in being able to access this data through one interface.  This functionality is generally not critical for utilities implementing only a single SRS component.</p>"
],
	[210,  3, 2, 0, "", 0, "", 1, "<p>This functionality allows the user to develop geographic information systems (GIS) screens for viewing and interacting with data.  Information from the SRS is displayed spatially over basic GIS layers such as the distribution system pipe network or a street map.  A GIS-based user interface for ESM generally shows each monitored facility spatially identified, as well as an indication of the current status of each via color-coding or different symbol types.  Common characteristics to be shown for each facility include indications if an intrusion alert has been generated for the facility, if any ESM equipment faults have been produced at the facility, or if data from the ESM equipment is being successfully transmitted.  Below is an example in which ESM facilities (shown with a lock icon) are shown on a distribution system map.</p> \
<p><img src='qdb/figures/SCADA_Screen_Shot_ESM.jpg'></p> \
<p>GIS displays are commonly used when creating a Dashboard, but they can still be useful if used only for ESM.  Particularly as the number of facilities with ESM increases, a GIS interface can be an effective way to organize information.  Often, a GIS interface is used to create a 'home page' from which users can navigate to the desired information.  A spatial display also allows users to more clearly see the connectivity between facilities or even intrusion sensors within a facility.</p>"
],
	[211,  3, 2, 0, "", 0, "", 1, "<p>With this functionality, the user is able to access or control equipment through the information management system.  This requires the system to send information out in addition to collecting it.  Examples of how this could be used for ESM include controlling a PTZ camera and turning on security lighting.</p> \
<p>This functionality is relevant only if (a) there is equipment installed that can be remotely controlled or has an interface that can be remotely accessed, and (b) this equipment would be used during system operation.</p>"
	],
	[212, 3, 2, 0, "", 0, "", 1, "<p>Many information management solutions allow multiple access points to be established such that the user interface and data can be accessed from more than one location.  The alternative is access through a single, pre-defined workstation.</p> \
<p>Access from multiple locations is likely not necessary for utilities where all users will be located in the same area (for example, if all users work in or near a security office).  However, it becomes increasingly important as the number of expected users increases – particularly if the users will be from different departments or will not be located in a single location.</p>"
	],
	[213, 3, 2, 0, "", 0, "", 1, "<p>This functionality allows flexibility in the location of information management system access points.  A common solution is to configure the system so that anyone signed into the utility's computer network can access the user interface for the SRS information management system.</p> \
<p>This functionality generally improves efficient system access, allowing users to access the data and interface wherever they are located.  This is also useful if the utility does not have dedicated IT staff that can update the locations of fixed access points if needed (such as if a manager changes offices).</p>"

	],
	[214, 3, 2, 0, "", 0, "", 1, "<p>With this functionality, users not logged into the utility network can access the information management system.  Common external users include crews working in the field, staff working from home, or local partners.  One solution that is becoming increasingly popular is to provide access through the internet.  In this case, users can log in from any device connected to the internet.</p> \
<p>This solution is most useful if the system will frequently be accessed by off-site staff.  It is also convenient if the utility does not have an easily accessible network, or if on-site access points are not accessible or not staffed during non-business hours.</p>"
	],
	[215, 3, 2, 0, "", 0, "", 1, "<p>With this functionality, administrators can limit the information and screens that can be viewed by individual users.  For example, the system could be configured so that only select individuals can view video data.</p><p>This functionality is primarily relevant if any of the information accessed through the information management system is considered sensitive or if a large variety of users – particularly users outside of the utility – have access to the system.</p>"
	],
	[216, 3, 2, 0, "", 0, "", 1, "<p>With this functionality, administrators can limit individual users' ability to make any changes or input information into the system.  These users can still view the data as they wish but could not input anything into the system.  Comparing it to a spreadsheet application, they could open and work with a file but not save it.  This ensures that information and system configuration is not changed – including accidentally - by users.  Examples of 'writing' include controlling camera positions and entering information during an alert investigation.</p> \
<p>This functionality is relevant only if there are opportunities to 'write' to the system (some systems provide only data access and have no ways to enter information).  It becomes increasingly important as the number of users increases – particularly those with no responsibilities requiring them to input information.</p>"
	],
	[217, 3, 2, 0, "", 0, "", 1, "<p>With this functionality, each user has their own account, and administrators can track system use for individual users.  This may include times the user is logged on and actions they take.  This functionality can be used to document which users are involved in the acknowledgement and investigation of specific alerts.</p> \
<p>This functionality is useful if there are multiple users with defined responsibilities, and if there is a desire to track system utilization and evaluate staff performance during investigations.  However, to be effective, the requirement for users to log in and out of the system using their own login information must be enforced.</p>"
	],
	[234, 3, 3, 0, "", 0, "", 1, "<p>This functionality ensures that any exported data is in a format that can be used by external software, so that the functionality of the external software can be used to view and analyze the data.  Common formats include Excel (xlsx) files, comma-separated value (csv) files, and text (txt) files which can be opened using Notepad and most spreadsheet software.  For ESM, some video camera manufactures use propriety systems and technology that are neither compatible with common software platforms nor easily customizable for use in other user interfaces.</p> \
<p>It is highly recommended that this be prioritized if there is a desire to export data for external use.  It ensures that maximum benefit can be received from data exported from the information management system.</p>"
	],
	[235, 3, 3, 0, "", 0, "", 1, "<p>With this functionality, users can generate desired reports as needed.  Without this functionality, the average user is unable to create their own report:  advanced training or administrative privileges are necessary to generate new reports.  Note that reports are different from the data exports covered in previous requirements:  reports summarize data as opposed to providing specific data values.  Example reports include summaries of ESM alerts sorted by location, area, or time and summaries of system usage reports for use by IT staff.</p> \
<p>When ranking this functionality, consider what reports would be used by staff.  Reports summarizing alerts in different ways can be useful for ESM.</p>"
	],
	[236, 3, 3, 0, "", 0, "", 1, "<p>This functionality allows users to set up configurable templates so that the desired reports can be quickly generated from standardized datasets, when desired.  For example, IT staff may wish to see a monthly summary on communications outages, or maintenance supervisors may use a weekly summary of alerts.  Some systems even allow the user to set up regular reporting so that the desired reports are automatically generated (such as monthly) and transmitted to appropriate staff.</p> \
<p>This functionality is relevant if and only if the similar report types are generated regularly.  It becomes more important if it is difficult to create reports in the selected information management system.</p>"
	],
	[243, 3, 4, 0, "", 0, "", 1, "<p>With this functionality, alerts can be conveyed to staff using visual and/or audible cues within the user interface.  Systems vary in their flexibility to convey alerts through the user interface – from a simple list of alerts to a sophisticated display of alerts using a GIS interface.</p> \
<p>This functionality is relevant for utilities that will have a continuously-running user interface through which alerts will be conveyed to staff.  This is a particularly effective solution for utilities that already receive alerts in this way outside of an SRS (for example, system alerts conveyed through an existing SCADA system).</p>"
	],
	[244, 3, 4, 0, "", 0, "", 1, "<p>With this functionality, alerts can be automatically transmitted to specified staff members, generally via e-mail or text message.  Alert customization options vary across information management systems, with some systems even allowing different individuals to be notified depending on the day and time.</p> \
<p>This functionality is important if the user interface is not continuously monitored by staff responsible for alert investigation, or if there are others interested in being notified of each alert produced.</p>"
	],
	[245, 3, 4, 0, "", 0, "", 1, "<p>Many information management systems allow the user to customize the information that is included in the notices sent to specified personnel.  By including relevant summary information, users can often get a sense of the potential cause or significance of an alert at a glance.  For example, the message could specify at which monitoring location the alert was generated and the area where the intrusion was detected.  It may even be possible to include a video clip of the intrusion with the texts or e-mails.</p> \
<p>Staff at utilities who have implemented automatic transmission of alerts have found this functionality extremely beneficial.  They tout the convenience of getting an overview of alerts without having to log into the information management system – even during a meeting or when away from the office.</p>"
	],
	[246, 3, 4, 0, "", 0, "", 1, "<p>This functionality allows users to enter advanced logic to determine who will receive automated alert notifications.  For example, it may be possible to send alerts to different groups of users depending on the time or day of the week.</p> \
<p>This functionality is generally appreciated by staff who receive alerts, as they do not receive messages (either actively or as messages building in their inbox) during their time off.</p>"
	],
	[247, 3, 4, 0, "", 0, "", 1, "<p>Some information management systems can be configured to produce follow-up notifications if alerts are not acknowledged in a defined period of time.  For example, an audible alert generated at the users workstation could be repeated every X minutes until the alert is acknowledged, or e-mails could be re-sent (or even sent to alternate personnel) requesting acknowledgement.</p> \
<p>This functionality can help ensure that all alerts are responded to in real time.  Otherwise, an alert may go unnoticed and thus not be investigated.</p>"
	],
	[248, 3, 4, 0, "", 0, "", 1, "<p>Some information management systems allow the user to enter information about the alerts generated, including findings from alert investigations.  This is a convenient way to document investigations and ensures that information is saved for future reference.  It can also serve as an effective means of sharing information among staff over the course of the investigation provided that the information is entered in real time:  any appropriate user logged into the system can see the information entered and thus it is an efficient way to communicate findings.</p> \
<p>This functionality is not necessary for an effective ESM component, and many utilities will not need or use it.  However, it can streamline alert investigations, particularly if multiple staff members participate in the investigation of a single event.  This feature also provides an efficient method of documenting alert investigation, foregoing to the need to maintain investigation documentation in a separate system.  Furthermore, storing alert investigation details electronically makes them much easier to query, which can serve as an effective resource during future investigations.</p>"
	],
	[250, 3, 5, 0, "", 0, "", 1, "<p>This functionality ensures quick and easy access to older data which has been archived / moved to a data historian.  Without this, data extraction is more complicated and time-consuming, and may even require staff with specialized privileges or training to fulfill the data request.</p> \
<p>When ranking this functionality, the user should consider how frequently archived data will be accessed.  This depends on the amount of the expected uses of the system (for example, if video from an intrusion will later be needed as evidence).  It also depends on the amount of \"short term\" data available:  depending on this storage, last month's data may still be available through the user interface or may already be archived.</p>"
	],
	[251, 3, 5, 0, "", 0, "", 1, "<p>With data security, safeguards are implemented to protect information from being viewed or modified by unauthorized individuals.</p> \
<p>This requirement will be defined in more detail by technical staff.  When ranking this here, consider if there are information items or views generated through ESM that are considered sensitive.  For ESM, typically location information and response times are considered sensitive.  Actual video clips may not be sensitive, until part of an investigation or deemed as evidence.</p>"
	],
	[252, 3, 5, 0, "", 0, "", 1, "<p>This functionality allows for time-stamped user comments for a datastream.  This is generally intended to provide supplemental information for future reference.  Examples comments include notes about specific facility, intrusion sensor, or camera changes, or a record of ESM equipment maintenance activities.</p> \
<p>This information about datastreams is useful if historical data will be frequently analyzed.  An alternative is to store this supplemental information separately – such as in electronic or physical logs.</p>"
	],
	[255, 3, 5, 0, "", 0, "", 1, "<p>This functionality allows for addition or modification of ESM datastreams.  For example, additional datastreams would need to be added to the information management system if a new monitoring location is added, or if new equipment is added to an existing monitoring location.  Other modifications might include removal of obsolete equipment, or renaming of specific datastreams.</p> \
<p>When rating this functionality, consider how often you expect datastreams to be added or modified.  Unless there is a high degree of confidence that such modifications won't be necessary, it is suggested that this functionality be prioritized.  Without the capability to modify datastreams, the ability of the ESM component to grow and evolve will be limited.</p>"
	]
	
];	/* end CompQuestions */

var Modules = null;  // If set to null, "CommonModules" - the default - is used.
var ModulesAbbrs = null;  // If set to null, "CommonModulesAbbrs" - the default - is used.
var TabPages = null;  // If set to null, entries in "CommonTabPages" - the default - are used.
