﻿//
// Questions:
//		The questions are defined in data_common.js
//
// CompQuestions:   (Component-Specific Question List)
//		key: The order of the array defines the user-facing question number. Re-arrange the order to change displayed order.
//		val: UQI, Module, Category, [x, y]...[x,y]..[x,y]..
//			 where x is value 0, 1, or 2.
//				0 == text not overriding. (I.e., leave base question text alone.)  This should be used as (0, "") when used.
//				1 == text overriding base question text.  
//				2 == text appended to base question text.
//			This allows component-specific text to any of the fields defined by a question.
//
// Title, Description, Text
//
var CompQuestions = [
	[2, 1, 2],
	[3, 1, 2],
	[4, 1, 2],
	[5, 1, 2],
	[6, 1, 2],
	[102, 2, 2, 0, "", 0, "", 2, "<p>For OWQM, the datastreams are generally the water quality data generated by sensor hardware:  many utilities already collect data from some water quality sensors, and new instruments may be installed as part of OWQM implementation.  Alerts may be generated by a setpoint algorithm or a specialized data analysis tool.</p><p>If you select \"No decision has been made\", you can skip to question #9.</p>"
	],
	[104, 2, 2, 0, "", 0, "", 2, "<p>For example, in many OWQM systems data from each monitoring station is \"polled\" at a regular interval, often once every one to ten minutes.</p><p>If data is not communicated at a regular interval or if there are different polling frequencies, please describe the data transmission protocol.</p>"
	],
	[105, 2, 2, 0, "", 0, "", 2, "<p>For OWQM, the most common source of extremely large quantities of data is advanced instrumentation.  For example, some full-spectrum instruments may produce hundreds of sensors readings at each timestep.  Please describe any such data.</p>"
	],
	[106, 2, 2, 0, "", 0, "", 2, "<p>For these calculations, include all datastreams that will be added for OWQM, including the datastreams to be generated by all new monitoring equipment.  If applicable, please provide separate values for the data generated by standard equipment and those generated by the data-intense equipment described in the previous question. </p><p>As an example, if chlorine and pH sensors are installed at 10 monitoring locations which produce data every 5 minutes, the number of data points would be 2 datastreams per station * 10 stations * 288 polling times per day = 5760 data points per day (288 was obtained by taking the 1440 minutes in a day and dividing by 5).</p>"
	],
	[107, 2, 2, 0, "", 0, "", 2, "<p>This information can help identify instrument maintenance needs and is useful during alert investigations to determine if the data triggering the alert is accurate.</p>"
	],
	[108, 2, 2, 0, "", 0, "", 2, "<p>A common example for OWQM is a SCADA system in which data from existing sensors, such as chlorine monitors, is stored.</p><p>Please also describe the data being stored (for example, type and quantity) in these system(s) in the free-entry box.</p>"
	],
	[109, 2, 2, 0, "", 0, "", 2, "<p>In general, the most recent data is stored locally and can be accessed and analyzed using all functionality of the user interface.  Older data is typically archived and, depending on the system, may be available only in table format by querying the archive.</p><p>Consider expected system use, such as alert investigation procedures or long-term trend analysis, when answering this question.  Specifically, consider if older data will be reviewed on a regular basis.</p>"
	],
	[111, 2, 2, 0, "", 0, "", 2, "<p>Please provide details on this information in the free-entry box, including the location where the information is stored, if known.</p>"
	],
	[112, 2, 2, 0, "", 0, "", 2, "<p>Note that if all necessary functionality is available through the information management system, use of external products may be unnecessary.</p>"
	],
	[113, 2, 2],
	[201,   3, 2],
	[202,   3, 2],
	[203,   3, 2],
	[204,   3, 2],
	[205,   3, 2],
	[206,   3, 2],
	[207,   3, 2],
	[208,   3, 2],
	[210,  3, 2],
	[211,  3, 2],
	[212,  3, 2],
	[213,  3, 2],
	[214,  3, 2],
	[215,  3, 2],
	[216,  3, 2],
	[217,  3, 2],
	[218,  3, 3],
	[223,  3, 3],
	[224,  3, 3],
	[225,  3, 3],
	[226,  3, 3],
	[227,  3, 3],
	[228,  3, 3],
	[229,  3, 3],
	[230,  3, 3],
	[231,  3, 3],
	[232,  3, 3],
	[233,  3, 3],
	[234,  3, 3],
	[235,  3, 3],
	[237,  3, 3],
	[238,  3, 4],
	[240,  3, 4],
	[241,  3, 4],
	[242,  3, 4],
	[243,  3, 4],
	[244,  3, 4],
	[245,  3, 4],
	[246,  3, 4],
	[247,  3, 4],
	[248,  3, 4],
	[249,  3, 4],
	[250,  3, 5],
	[251,  3, 5],
	[252,  3, 5],
	[253,  3, 5],
	[254,  3, 5],
	[255,  3, 5]
];	/* end CompQuestions */

var Modules = null;  // If set to null, "CommonModules" - the default - is used.
var ModulesAbbrs = null;  // If set to null, "CommonModulesAbbrs" - the default - is used.
var TabPages = null;  // If set to null, entries in "CommonTabPages" - the default - are used.
