﻿//
// Questions:
//		The questions are defined in data_common.js
//
// CompQuestions:
//		key: The order of the array defines the user-facing question number. Re-arrange the order to change displayed order.
//		val: UQI, Module, Category, [x, y]...[x,y]..[x,y]..
//			 where x is value 0, 1, or 2.
//				0 == text not overriding. (I.e., leave base question text alone.)  This should be used as (0, "") when used.
//				1 == text overriding base question text.  
//				2 == text appended to base question text.
//			This allows component-specific text to any of the fields defined by a question.
//
var CompQuestions = [
	[2, 1, 2, 0, "", 0, "", 1, "<p>Data is reviewed via the information management system one or more times a day as specified by utility standard operating procedures.</p> \
<p>Example:  Each morning, staff review the most recent 24 hours of PHS data for abnormal case details or unusual volume or clustering of cases</p>"
	],
	[3, 1, 2, 0, "", 0, "", 1, "<p>The user interface is active and viewable continuously.</p> \
<p>Example:  A dedicated interface continuously displays real-time public health surveillance data and alerts</p>"
	],
	[4, 1, 2, 0, "", 0, "", 1, "<p>The information management system is accessed to investigate data for a specific purpose.</p> \
<p>Examples:</p> \
<ul>\
<li>Staff use the user interface to investigate possible clustering patterns after a PHS alert is received</li>\
<li>Managers review PHS data if an elevated number of customer complaints related to water quality are received to see if public health cases are being reported in the same areas</li>\
</ul>"
	],
	[5, 1, 2, 0, "", 0, "", 1, "<p>The alert investigation process is completed and / or documented within the information management system.</p> \
<p>Examples:</p> \
<ul>\
<li>At the end of an alert investigation, the investigator enters the final determination of alert cause into the user interface</li>\
<li>When a PHS alert is received, the investigator opens an online form that walks them through the alert investigation procedures and allows them to enter all relevant information and findings</li>\
<li>Information about alert investigation activities are entered into the system immediately, allowing all users to see the progress and communicate findings</li>\
</ul>"
	],
	[6, 1, 2, 0, "", 0, "", 1, "<p>Historical data is analyzed to learn typical data patterns and values and to configure the system.</p> \
<p>Examples:</p> \
<ul>\
<li>At the beginning of each season, staff review over-the-counter medication sales from the same season in previous years to understand typical sales patterns</li>\
<li>Historical data is used to configure data analysis tools, either using an automated or manual evaluation process</li>\
</ul>"
	],

	[101, 2, 2, 0, "", 0, "", 2, "<p>When answering this question, consider only management of data that will be transmitted to the SRS information management system.  If data will be managed entirely by public health agencies, do not select any of the responses.</p>"
	],
	[102, 2, 2, 0, "", 0, "", 2, "<p>Again, consider only datastreams and alerts that will be transmitted to the SRS information management system.  For example, if PHS alerts but not data will be available through the information management system, do not select the responses related to datastreams.</p><p>For PHS, the datastreams are divided into case-based and syndromic surveillance techniques.  Case-based surveillance techniques include reports from healthcare professionals, Poison Control Center specialists and 24-hour health advice hotlines.  Syndromic surveillance techniques include data about 911 calls, emergency medical service runs, National Poison Data System data, emergency department data and over-the-counter medication sales.</p><p>Alerts for case-based surveillance techniques are often generated through an email, text message or phone call.   For syndromic surveillance, alerts are based on automated analysis of the data produced, such as consideration of case volumes or clustering.</p>"
	],
	[106, 2, 2, 0, "", 0, "", 2, "<p>Include all datastreams which will be transmitted to the SRS information management system in the calculation.</p><p>In the comment section, please describe the data transmission protocol.  For example, note if data is polled from public health databases at a regular interval or if data is accessible only upon request.</p>"
	],
	[109, 2, 2, 0, "", 0, "", 2, "<p>In general, the most recent data is stored locally and can be accessed and analyzed using all functionality of the user interface.  Older data is typically archived and, depending on the system and may be available only in tabular format by querying the archive.</p><p>Consider expected system use and alert investigation procedures when answering this question.  Specifically, consider if older data will be reviewed on a regular basis. Again, this question is relevant only if public health data will be transmitted to the SRS information management system.</p>"
	],
	[108, 2, 2, 0, "", 0, "", 2, "<p>Only include systems from which the SRS information management system will obtain information.  Examples include the National Poison Data System and fire department or hospital databases</p>"
	],
	[111, 2, 2, 0, "", 0, "", 2, "<p>Reference PHS alert investigation procedures when answering this question.</p>"
	],
	[112, 2, 2, 0, "", 0, "", 2, "<p>Select 'None of these' if public health will not be transmitted to the SRS management information system.  Note that if all necessary functionality is available through the information management system, use of external products may be unnecessary.</p>"
	],
	[113, 2, 2, 0, "", 0, "", 2, "<p>In general, PHS alerts are received from public health partners and not generated through the SRS information management system.  If this is the case, select 'Other' and describe these alerts.</p>"
	],
	[201,   3, 2, 0, "", 0, "", 1, "<p>Some information management system user interfaces are very intuitive and clear to use.  They often function like webpages or common computer software that most users are accustomed to, and thus users can begin using the system with little to no training.  Conversely, other systems may require hours or even days of training before users feel comfortable using the system and getting the information they need.  These systems may require staff to undergo specialized training to understand the system.</p> \
<p>A user-friendly system becomes increasingly important as the number and variety of expected system users increases (such as users from different agencies), or if new users will be frequently added.  This may also be valuable if the user interface is used infrequently as users will not have the regular practice with assessing and using the system.</p>"
	],
	[202,   3, 2, 0, "", 0, "", 1, "<p>In a system with a quick and easy process for accessing data, the user can easily obtain the information, tables or plots they desire with just a few clicks.  In systems without a streamlined data access process, users may have to spend significant time initializing the system, specifying the information they desire or waiting for plots or reports to be generated.</p> \
<p>This functionality becomes increasingly important as the frequency of system use increases:  users can become frustrated if they must implement the same tedious tasks on a regular basis.  Because the public health partners are likely the primary investigators of PHS alerts, the utility is likely to only access the interface during the investigation of a possible contamination incident (which presumably happens infrequently), and thus quick access may not be critical.</p>"
	],
	[203,   3, 2, 0, "", 0, "", 1, "<p>Most automated information management systems contain a user interface through which users can directly access and view data.  For example, PHS users may plot recent emergency department visits or create a plot comparing case details across syndromes.  An alternative to this functionality is to query or export data from the system and then use external tools (such as Microsoft Excel) to analyze or plot the data.</p> \
<p>This functionality is relevant only if public health data will be transferred to the information management system.  It can provide for efficient data analysis. </p>"
	],
	[204,   3, 2, 0, "", 0, "", 1, "<p>A customizable user interface allows the utility to create an interface that best suits their needs.  Customization can include designing screen layouts and screen navigation. The alternative is a system in which the layout and functionality of the interface are pre-defined within the product. With the ability to customize an interface, screens can be designed to specifically support standard operating procedures or created to match screens from existing user interfaces.</p> \
<p>This functionality is valuable if and only if utility staff are interested in and have the skills necessary to design and implement a custom interface.  In many cases, pre-defined interfaces can be sufficient and easy to implement.</p>"
	],
	[207,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows users to save analyses, plots and views they have produced within the information management system in digital format, such as in an image or spreadsheet file.  This allows them to save their work for their own future use or to share it with others electronically.</p> \
<p>This ability is extremely valuable if the information management system can only be accessed from a limited number of locations or if limited users have rights to access the system.  For PHS, this requirement may be necessary to share PHS information between the utility and the public health partners who do not have access to the same system.</p>"
	],
	[208,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows the user to access data located in different data management systems within a single interface.  This commonly includes integration of data from multiple SRS components into one display, often referred to as a dashboard.  In the case of PHS, this feature could allow users to view data from multiple PHS datastreams, which may be managed by different agencies, in a single user interface.  Without an integrated interface, users generally access the additional data types by logging onto separate systems or by contacting individuals who manage the other systems (such as the poison control center) for the information.</p> \
<p>Data sources may be monitored independently or collaboratively between the health department and the utility, and a user interface through which data from disparate sources can be viewed can serve as a crosswalk between agencies during alert investigations.  This could also provide considerable time savings if users expect to regularly view data from different sources.</p>"
	],
	[210,   3, 2, 0, "", 0, "", 1, "<p>This functionality allows the user to develop geographic information systems (GIS) screens for viewing and interacting with data.  Information from the SRS is displayed spatially over basic GIS layers such as a city map or map of the utility distribution system.  A GIS-based user interface for PHS generally shows a map of the utility and health department's jurisdictions with residences, businesses, schools and government buildings clearly distinguished.</p> \
<p>Displaying PHS data using GIS can be a very effective way to identify trends or clusters of cases.  It is suggested that this functionality be prioritized if the information management system will be used to display public health data.  Utilities and public health agencies think of location in different terms (pressure zones vs. zip codes):  a GIS interface showing public health data overlaid on a distribution map can facilitate communication and help predict the spread of water contamination, and thus anticipated increased caseload.</p>"
	],
	[214,   3, 2, 0, "", 0, "", 1, "<p>With this functionality, users outside of the utility network can access the information management system.  External users for PHS may include public health partners and utility staff working from home.  One solution that is becoming increasingly popular is to provide access through the internet.  In this case, users can log in from any device connected to the internet.</p> \
<p>This requirement is necessary if public health partners will have access to the SRS user interface, such as to collaborate on an investigation while viewing the same information.</p>"
	],
	[215,   3, 2, 0, "", 0, "", 1, "<p>With this functionality, administrators can limit the information and screens that can be viewed by individual users.  For example, staff could be provided alert investigation details but be blocked from viewing case data.</p> \
<p>If PHS will be transferred to the SRS information management system, this functionality is extremely important to protect sensitive health information as required under The Health Insurance Portability and Accountability Act of 1996 (HIPAA).  This becomes increasingly important as the number of users with access to the system increases.</p>"
	],
	[217,   3, 2, 0, "", 0, "", 1, "<p>With this functionality, each user has their own account and administrators can track system use for individual users.  This may include times the user is logged on and actions they take.  This functionality can be used to document which users are involved in the acknowledgement and investigation of specific alerts.</p> \
<p>This functionality is useful if there are multiple users with defined responsibilities and if there is a desire to track system utilization and evaluate staff performance during investigations.  However, to be effective, users must log in and out of the system using their own login information.</p>"
	],
	[218,   3, 3, 0, "", 0, "", 1, "<p>This functionality allows the user to create customized tables at any time, including specification of the datastreams, time period, and categories to summarize.  Without this ability, the user can only view tables with pre-defined columns and rows that were created during system implementation.</p> \
<p>Tables can be useful in PHS for data review.  Tables can be stratified by time, date, case demographics, symptoms and chief complaints to efficiently summarize case information.</p>"
	],
	[223,   3, 3, 0, "", 0, "", 1, "<p>Time-series plots show the values of a datastream across time and are an efficient way to view large amounts of time-series data.  Many information management systems allow users to create time-series plots of monitored parameters within the user interface.  Without this functionality, users can export data from the system and use external tools such as Microsoft Excel to create plots.</p> \
<p>Time-series plots can be useful in PHS to quickly view temporal patterns to identify abnormal data trends.</p>"
	],
	[226,   3, 3, 0, "", 0, "", 1, "<p>Significant insight can be gained by viewing more than one datastream on the same plot, allowing the user to analyze the relationship between parameters.  The figure below illustrates an expected progression of changes in PHS datastreams:  an increase of 911 calls is followed by an increase in emergency medical services runs and emergency department visits as the callers seek treatment.</p> \
<p><img src='qdb/figures/Multiple_datastreams_PHS.jpg'></p> \
<p>This functionality can be very valuable, particularly during alert investigations to examine the relationship between data sources.  This can be particularly powerful if a dashboard is used and data from different SRS components can be plotted concurrently.</p>"
	],
	[232,   3, 3, 0, "", 0, "", 1, "<p>This functionality allows the user to extract desired datasets from the information management system, including the ability to choose the datastreams and time period of data to include, and possibly to filter on specific syndromes.</p> \
<p>This functionality is only relevant if data will be stored in the SRS information management system.  It is recommended that this functionality be prioritized if there is a desire to export data for current use or to save data for later use.  This is particularly valuable if the information management system is not accessible from all user workstations, or if data is to be shared with outside entities.</p>"
	],
	[234,   3, 3, 0, "", 0, "", 1, "<p>This functionality ensures that any exported data can be used to view and analyze the data in external software.  Commonly used external software include spreadsheet applications and statistical packages such as SAS.</p> \
<p>This functionality is only relevant if data will be stored in the SRS information management system.  This is required if there is a desire to use external software:  data exported from the system is not useful if it cannot be viewed or manipulated as desired.</p>"
	],
	[237,   3, 3, 0, "", 0, "", 1, "<p>With this functionality, users can obtain a list of events that meet specified criteria.  For example, they could obtain a list of recent cases with a specified symptom or a list of alerts that have been generated from a given zip code.</p> \
<p>When ranking this requirement, consider if utility staff or public health partners will seek to generate these lists.  Note that these lists can be difficult to generate manually from raw data.</p>"
	],
	[239,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows users to implement threshold alerting, in which the user defines a maximum acceptable cumulative total for a datastream and an alert is generated if the total surpasses this threshold.  For example, the system could be configured so that an alert is produced if the number of 911 calls related to gastrointestinal illness in a week exceeds a specified threshold value.</p> \
<p>This functionality is relevant only if PHS data will be transmitted to the SRS information system and analyzed there.  In many cases, data analysis is done by a public health entity and only resulting alerts that might be related to water contamination are conveyed to the utility.  Also, while threshold analysis is a simple and easily implemented form of analysis, it is often not used for PHS as it does not account for seasonal variations that often occur in public health data, nor does it consider the spatial relationship among cases.</p>"
	],
	[242,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows the user to enter advanced logic to determine which alerts are generated and conveyed to utility staff.  This can be used to reduce the number of alerts received by entering criteria to suppress alerts (not convey them via the user interface or automatic messages) that are clearly invalid or are redundant.  An example of this logic is suppressing alerts that happen within X minutes of another alert.</p> \
<p>Utilities that have leveraged this functionality have found it to be extremely effective in reducing the number of alerts received, and thus the number of times that utility staff must respond.  Though the logic may take some effort to implement and optimize, it is recommended if alerts will be investigated in real time.</p>"
	],
	[243,   3, 4, 0, "", 0, "", 1, "<p>With this functionality, alerts can be conveyed to staff using visual and/or audible cues within the user interface.  Systems vary in their flexibility to convey alerts through the user interface – from a simple list of alerts to a sophisticated display of alerts using a GIS interface.</p> \
<p>This functionality is relevant for utilities that will have a continuously-running user interface through which alerts will be conveyed to staff.  This is a particularly effective solution for utilities that already receive alerts in this way outside of an SRS.</p>"
	],
	[244,   3, 4, 0, "", 0, "", 1, "<p>With this functionality, alerts can be automatically transmitted to specified staff members, often via email or text message.  Alert customization options vary across information management systems, with some systems even allowing different individuals to be notified depending on the day and time.</p> \
<p>This functionality is important if the user interface is not continuously monitored by staff responsible for alert investigation or if others are interested in being notified of each alert produced, such as those at the health department or other external partners.</p>"
	],
	[245,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows the system to be configured so that supplemental information is included in automatically-generated alert notifications.  By including relevant information, users can often get a sense of the potential cause or significance of an alert at a glance.  For example, the message could provide supplemental case data such as the age, chief complaint, and location of the cases.</p> \
<p>Staff at utilities who have implemented automatic transmission of alerts have found this functionality extremely beneficial.  They appreciate the convenience of getting an overview of alerts without having to log into the information management system, even during a meeting or when away from the office.  This is also extremely valuable if PHS data is not transmitted to the utility, giving some context to initiate alert investigation.</p>"
	],
	[246,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows users to enter advanced logic to determine who will receive automated alert notifications.  For example, it may be possible to send alerts to different groups of users depending on the time or day of the week.  It may also be possible for users to customize the notification type (for example, email or text) and supplemental information to be included.</p> \
<p>This functionality is generally appreciated by staff who receive alerts as they do not receive notifications of alerts they are not responsible for investigating, including alerts occurring when they are not working.</p>"
	],
	[247,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows for the system to be configured to produce follow-up notifications if alerts are not acknowledged in a defined period of time.  For example, an audible alert generated at the users workstation could be repeated every X minutes until the alert is acknowledged, or emails could be re-sent (or even sent to alternate personnel) requesting acknowledgement.</p> \
<p>This functionality can help ensure that all alerts are responded to in real time.  Otherwise, an alert may go unnoticed and thus not be investigated.  Lack of acknowledgement can be an issue if multiple users receive alerts:  each may assume someone else is responding.</p>"
	],
	[248,   3, 4, 0, "", 0, "", 1, "<p>This functionality allows users to enter investigation details through the user interface.  This is a convenient way to document investigations and ensures that information is saved for future reference.  In addition, it may be possible to configure the system to guide the user through the investigation process or to require key fields to be populated before the data input is considered complete.  In more advanced systems, it can also serve as an effective means of sharing information among users over the course of the investigation provided that the information is entered in real time:  any appropriate user logged into the system can see the investigation details entered.</p> \
<p>This functionality is generally not necessary for an effective PHS component.  However, it can streamline alert investigations, particularly if multiple staff members participate in the process.  This feature also provides an efficient method of documenting alert investigation, foregoing the need to maintain investigation documentation in a separate system.  Furthermore, storing alert investigation details electronically makes them much easier to query, which can serve as an effective resource during future investigations.</p>"
	],
	[250,   3, 5, 0, "", 0, "", 1, "<p>This functionality ensures quick and easy access to older data which has been archived.  Without this, data extraction can be time-consuming and may even require staff with specialized privileges or training to fulfill the data request.</p> \
<p>This functionality is relevant only if PHS data will be stored and managed in the SRS information management system.  The importance of this functionality depends on the expected frequency at which archived data will need to be accessed.  This is a function of the amount of 'short term' data available in the system relative to the amount of data typically required to meet the expected system uses (for example, if long term trends in 911 calls will be analyzed).</p>"
	],
	[251,   3, 5, 0, "", 0, "", 1, "<p>With data security, safeguards are implemented to protect information from being viewed or modified by unauthorized users within or outside of the utility.</p> \
<p>This functionality is relevant only if PHS data will be conveyed to the SRS information management system.  If details about cases will be conveyed, this functionality is likely important to protect sensitive health information under HIPAA.</p>"
	]
	
];	/* end CompQuestions */

var Modules = null;  // If set to null, "CommonModules" - the default - is used.
var ModulesAbbrs = null;  // If set to null, "CommonModulesAbbrs" - the default - is used.
var TabPages = null;  // If set to null, entries in "CommonTabPages" - the default - are used.
