﻿//
// Questions:
//		The questions are defined in data_common.js
//
// CompQuestions:   (Component-Specific Question List)
//		key: The order of the array defines the user-facing question number. Re-arrange the order to change displayed order.
//		val: UQI, Module, Category, [x, y]...[x,y]..[x,y]..
//			 where x is value 0, 1, or 2.
//				0 == text not overriding. (I.e., leave base question text alone.)  This should be used as (0, "") when used.
//				1 == text overriding base question text.  
//				2 == text appended to base question text.
//			This allows component-specific text to any of the fields defined by a question.
//
var CompQuestions = [
	[501, 1, 2],
	[502, 1, 2],
	[503, 1, 2],
	[504, 1, 2],
	[505, 1, 2],
	[506, 1, 2],
	[507, 1, 2],
	[508, 1, 2],
	/* [508, 2, 2], */
	[531, 2, 2],
	[532, 2, 2],
	[533, 2, 2],
	[534, 2, 2],
	[535, 2, 2],
	[536, 2, 2],
	[537, 2, 2],
	[538, 2, 2],
	[539, 2, 2],
	[540, 2, 2],
	[541, 2, 2],
	[542, 2, 2],
	[543, 2, 2],
	[544, 2, 2],
	[545, 2, 2],
	[546, 2, 3],
	[547, 2, 3],
	[548, 2, 3],
	[549, 2, 3],
	[550, 2, 3],
	[551, 2, 4],
	[552, 2, 4],
	[553, 2, 4],
	[554, 2, 4]
];	/* end CompQuestions */

// Zero not allowed.
/* OLD One during dev. Was this approved?
var Modules = {
	1:		["Infrastructure Needs", 	["Overview", "Questions and Requirements"]],
	2:		["Operating Costs", 		["Overview", "Questions and Requirements"]],
	3:		["Role-Based Requirements",	["Overview", "Requirements and Rules", "Custom Technical Requirements"]],
	4:		["Consolidated View", 		["How This Works", "Infrastructure Needs Review", "Operating Costs Review", "Role-Based Requirements Review"]]
	// As Requested By EPA? 4:		["Consolidated View", 		["How This Works", "Requirements and Rules Review"]]
	*/
var Modules = {
	1:		["System Architecture and Constraints",	["Overview", "System Architecture and Constraints"]],
	2:		["Requirements",					["Overview", "Architecture", "Diagnostics", "Product Support", "Additional Technical Requirements"]],
	3:		["Consolidated View", 				["Overview", "Architecture and Constraints Review", "Requirements Review"]]
};
var ModulesAbbrs = {
	1:		["S.A.C.",	["OV", "SAC"]],
	2:		["Reqs",	["OV", "Arch", "Diag", "PS", "ATR"]],
	3:		["CV", 		["OV", "ACR", "RR"]]
};
var TabPages = { 
tabPage11: [0, "<div class='boxedTab'>The questions in this module are intended to help define high-level information management system requirements and constraints that may impact system selection and design.<br/><br/> \
Provide a response for each question listed on the next screen and then click <b>Next</b> to navigate to the next module. A text entry field is provided for each question in which you can enter comments to clarify or expand upon your response, if desired.</div>"],

tabPage21: [0, "<div class='boxedTab' style='text-align:left; margin-top:25px;'> \
In this module, you will rate the importance of common information management system attributes. The following classifications \
will be used to rate each requirement's importance for your implementation, operation and maintenance of the system. <br/><br/> \
		<ul style='margin-left: 10px;'>\
			<li><strong>Critical:</strong> The system could not be effectively operated without this attribute. This should unquestionably be included in information management system requirements.</li> \
			<li><strong>Highly desired:</strong> Though not absolutely necessary, this attribute would greatly enhance the ability to effectively operate and maintain the information management system. Thus, this should be included unless it is entirely infeasible due to project constraints.</li> \
			<li><strong>Would be nice:</strong> This attribute would enhance operation and maintenance of the information management system and would likely be appreciated by personnel. If it can be achieved within the chosen solution, it should be implemented. However, it should not drive the selection and design process.</li> \
			<li><strong>Don't need it:</strong> The attribute is unnecessary and would not be leveraged in system operation and maintenance.</li> \
		</ul> \
	The requirements are presented in three categories, each shown on a separate screen \
		<ul style='list-style-type:decimal; margin-left: 10px;'>\
			<li>Architecture</li>\
			<li>Diagnostics</li>\
			<li>Vendor and Pricing</li>\
		</ul>\
After the screens for these categories, there is another called <b>Additional Requirements</b> on which you can enter \
requirements that were not covered in the other categories, if desired.<br/><br/> \
Use the <b>Next</b> button to navigate through the following screens, providing a rating for all requirements. A text entry \
field is provided for each requirement in which you can enter comments to clarify or expand upon your selection, if desired. \
Once you have progressed through all screens, the Next button will bring you to the Consolidated Views where you can \
review your input.</div>"],

tabPage22: [1, "<div class='boxedInstructions'>Rate each of the following requirements based on its importance to your work. You must rate each requirement, though it is not necessary to enter text with additional details. </div>"],
tabPage23: [1, "<div class='boxedInstructions'>Rate each of the following requirements based on its importance to your work. You must rate each requirement, though it is not necessary to enter text with additional details. </div>"],
tabPage24: [1, "<div class='boxedInstructions'>Rate each of the following requirements based on its importance to your work. You must rate each requirement, though it is not necessary to enter text with additional details. </div>"],
tabPage25: [1, "<div class='boxedInstructions' style='text-align:left'>On this screen, you can add additional requirements you would like to include that were not covered on the previous screens. Use of this screen is optional. If there are no requirements you would like to add, click Next to proceed to the Consolidated View.<br/>For each additional requirement, click the <b>Add Requirement</b> button and an entry form will pop up. Enter a title (a brief requirement summary statement) and text describing the requirement. Provide a rating for the requirement and add additional detail as needed, and then click Save to return to the main screen.</div>"],

tabPage31: [0, "<div class='boxedTab'>The following screens summarize the information you have entered in this section, with a \
summary table for each of the modules. Review all responses and modify any information if necessary. Click any field(s) you wish \
to change and a pop-up window will appear allowing you to edit the previously entered information. <br/><br/> \
Use the <b>Next</b> button to proceed through the summary tables. After the summary of the Requirements module input, you will \
arrive at a screen from which you can generate a file containing the information you entered. If requested, this file should be \
provided to the IT design team so they can consolidate input from all components.</div>"]
};

