//
// Glossary and Abbreviations arrays
//
var Glossary = {
"additional requirement":	"A requirement not included in the Requirements Development Tool which is added by the user.",
"administrator":	"Personnel who have exclusive rights to make IT system changes, including updating the user interface, adding or modifying user accounts, upgrading software and changing network settings.",
"alert":	"An indication from an SRS surveillance component that an anomaly has been detected in a datastream monitored by that component.",
"alert investigation":	"The process of investigating the validity and potential causes of an alert generated by an SRS surveillance component.",
"alert investigation procedures":	"A documented process that guides the investigation of an SRS alert. A typical procedure defines roles and responsibilities for alert investigations, establishes a process flow for alert investigations, and includes checklists to guide investigators through their role in the process.",
"alert notification logic":	"User-defined criteria that determines whether a generated alert should be transmitted, the content of the notification, and the recipients of the notification.",
"anomaly":	"A deviation from an established baseline in a monitored datastream.  Detection of an anomaly by an SRS surveillance component generates an alert.",
"archived data":	"Component data which has been transferred to a separate IT system (e.g., data historian) for long-term storage.",
"box-and-whisker plot":	"A graphical representation of nonparametric statistics for a dataset.  The bottom and top whiskers represent the 10th and 90th percentiles of the ranked data, respectively.  The bottom and top of the box represent the 25th and 75th percentiles of the ranked data, respectively.  The line inside the box represents the 50th percentile, or median, of the ranked data.",
"case-based surveillance":	"A form of public health surveillance in which frontline healthcare providers detect potential public health incidents through the cumulative assessment of case details or case volume.",
"comma separated values (CSV)":	"A file format in which tabular data is stored as plain-text, commonly utilized for datasets which contain large volumes of information.",
"component":	"One of the primary functional areas of an SRS.  There are four surveillance components: Online Water Quality Monitoring, Enhanced Security Monitoring, Customer Complaint Surveillance, and Public Health Surveillance.  There are two response components: Consequence Management and Sampling and Analysis.",
"component data":	"Data generated through operation of an SRS component, such as data generated by OWQM sensors.",
"component team":	"A defined group of individuals responsible for design and implementation of an SRS component.",
"consequence":	"An adverse public health or economic impact resulting from a contamination incident.",
"Consequence Management (CM)":	"One of the response components of an SRS.  This component encompasses actions taken to plan for and respond to possible drinking water contamination incidents to minimize response and recovery timeframe, and ultimately to minimize consequences to a utility and the public.",
"consolidated view":	"Tabular presentation of information entered into modules of the Requirements Development Tool.  Consolidated views are included at the end of each component and technical module.  There is also a Consolidated View in which the functional and technical requirement ratings across all components can be reviewed by the IT design team.",
"constraint":	"Requirements or limitations that may impact which solutions are viable.  Common constraints include budget, staffing, schedule, and policies that must be adhered to.",
"continuous monitoring":	"Uninterrupted collection and analysis of data.  Collection and analysis frequency can range from minutes to hours.",
"Customer Complaint Surveillance (CCS)":	"One of the surveillance components of an SRS.  CCS monitors water quality complaint data in call or work management processes and identifies abnormally high volumes or spatial clustering of complaints that may be indicative of a contamination incident.",
"customizable":	"The ability to modify an aspect of an information management system including data analysis, alert generation and user interfaces.",
"customization":	"The process of modifying an information management system to meet a utility's requirements.",
"cybersecurity":	"Measures implemented to protect an information management system and network from unauthorized access, damage or attack.  Common examples include password protected computers, encryption, and use of anti-virus software.",
"dashboard":	"A visually-oriented user interface that integrates data from multiple SRS components to provide a holistic view of distribution system water quality.",
"data access":	"The process of retrieving data from an information management system for review and analysis.",
"data analysis":	"The process of analyzing data to support routine system operation, rapid identification of water quality anomalies and generation of alert notifications.",
"data analysis tool":	"An automated tool which analyzes continuous data and produces an alert when an anomaly is identified.",
"data historian":	"A software application or database that is designed to store large volumes of information.  Data historians are usually separate from the primary information management system.",
"data management":	"The process of capturing, processing and storing data.",
"datastream":	"A time series of values for a unique parameter or set of parameters.  Examples of SRS datastreams include, chlorine residual measurements, number of water quality complaints, and the number of emergency department cases.",
"design goal":	"A specific benefit that a utility would like to realize through implementation and operation of an SRS.",
"diagnostics":	"Processes used to examine the state of and locate problems with equipment, hardware or software.",
"digital storage":	"Storage of data on an electronic device, such as on a hard drive, server or DVD.  Applications such as databases and spreadsheets provide an interface for users to interact with digital data.",
"distributed computing environment":	"A solution in which components are located on separate computers or servers but are linked together within a single interface.",
"Enhanced Security Monitoring (ESM)":	"One of the surveillance components of an SRS.  ESM includes the equipment and procedures to detect and respond to security breaches at distribution system facilities that are vulnerable to contamination.",
"event detection system (EDS)":	"A system designed to analyze datastreams to detect deviations from an established baseline.  An EDS may take a variety of forms, ranging from complex computer algorithms to a simple set of heuristics that are manually implemented.",
"failover system":	"A set of redundant network assets which can take over system functions if the primary element becomes unavailable through either failure or scheduled down time.",
"full system recovery":	"Restoration of the information management system to normal operation after a system failure.",
"functionality":	"Capability or feature provided through an information management system.",
"functional requirement":	"A type of information management requirement that defines key features and attributes of an information management system that are visible to the end user.  Examples of functional requirements include how data can be accessed, types of tables and plots that can be produced through the user interface, the manner in which component alerts are transmitted to investigators and the ability to generate custom reports.",
"geographic information systems (GIS)":	"Hardware and software used to store, manage and display geographically referenced information.  Typical information layers used by water utilities include utility infrastructure, hydrants, service lines, streets and hydraulic zones.",
"hardware":	"A physical component of an SRS such as a server or user workstation.",
"historical data":	"Data that has been generated and stored, including data from the recent past that is readily available in an information management system as well as older data that has been stored or archived in a database or historian.",
"hot swap":	"Replacement of an IT system component with a similar device without interrupting continuity of IT system operations.",
"information management":	"The processes involved in the collection, storage, access and visualization of information.  In the context of an SRS, information includes the raw data generated by SRS surveillance components, alerts generated by the components, ancillary information used to support data analysis or alert investigation, details entered during alert investigations, and documentation of consequence management activities.",
"information management system":	"The combination of hardware, software, tools and processes that collectively supports an SRS and provides users with data needed to monitor real-time distribution system conditions.  ",
"information technology (IT)":	"Hardware, software and data networks that store, manage and process information.",
"IT design team":	"Personnel responsible for selecting, designing and implementing the SRS information management system.",
"International Organization for Standardization (ISO)":	"An international, non-governmental membership organization which develops industrial and commercial standards.",
"intrusion detection equipment":	"Equipment such as contact switches, motion sensors and cameras that can alert utility personnel of unauthorized intrusions at drinking water distribution system facilities.",
"metadata":	"Data that describes the content, quality or characteristics of other data.",
"module":	"Individual section of the Requirements Development Tool intended to obtain, summarize and present user input needed to develop requirements for an SRS information management system.  There is a requirements development module for each SRS component and for IT personnel, as well as a Consolidated View module in which input across all components can be reviewed by the IT design team.     ",
"monitoring":	"The process of collecting and analyzing a datastream over time.     ",
"monitoring location":	"A specific point in the water distribution system where SRS component data is collected, such as the location of OWQM sensor hardware or an ESM video surveillance camera.",
"monitoring station":	"A configuration of one or more water quality sensors and associated support systems, such as plumbing, electric and communications that is deployed to monitor water quality in real time at a specific location in a drinking water system.",
"National Institute of Standards and Technology (NIST)":	"A federal non-regulatory technology agency that works with industry to develop and apply technology, measurements and standards.",
"navigation pathway":	"The sequences through which a user can proceed through user interface screens.",
"off-line":	"Not in real time, such as analysis of historical data.  ",
"Online Water Quality Monitoring (OWQM)":	"One of the surveillance components of an SRS.  OWQM utilizes data collected from monitoring stations that are deployed at strategic locations in a distribution system.",
"open database connectivity (OBDC)":	"A standard programming language for accessing data management systems which is designed to be independent of database systems and operating systems.",
"parameter":	"Used to refer to either a specific datastream or a type of data (such as pH).  ",
"performance objectives":	"Measurable indicators of how well an SRS or its components meet established design goals.",
"polling interval":	"The frequency at which data is reported or collected.",
"public health partner":	"External agency or organization that supports the utility by providing public health data or assisting with investigation of PHS alerts.",
"Public Health Surveillance (PHS)":	"One of the surveillance components of an SRS.  PHS involves the analysis of healthcare data to identify public health incidents, and investigation of such incidents to determine whether they may be due to drinking water contamination.",
"query":	"A user-defined search of specific data fields stored within an information management system.",
"read privileges":	"The ability of a user to view information and screens in the information management system.",
"real-time":	"A mode of operation in which data describing the current state of a system is available in sufficient time for analysis and subsequent use to support assessment, control and decision functions related to the monitored system.",
"regular data review":	"Visual review of data conducted on a defined interval of at least once per day.  ",
"remote access":	"The ability of a user to access an information management system from a location other than the location of the hardware that hosts the system.",
"response partners":	"A subset of external partners that assist a water utility during emergency response activities such as site characterization, laboratory analysis, public notification and provision of alternate water supply.",
"Sampling and Analysis (S&A)":	"One of the response components of an SRS.  S&A is activated during Consequence Management to help confirm or rule out possible water contamination through field and laboratory analyses of water samples.  In addition to laboratory analyses, S&A includes all the activities associated with site characterization; site investigation, site safety screening, rapid field testing and sample collection. ",
"scatter plot":	"A graphical display of the relationship between two variables, where each point represents one observation.  ",
"seat license":	"The ability of a single user to access the information management system.  A per-seat software license charges based on the number of individual users who have access to the system.",
"setpoint alerting":	"A data analysis technique in which the user defines minimum and/or maximum acceptable values for individual datastreams and an alert is generated if a value received surpass these thresholds.  ",
"software":	"A program that runs on a computer and performs certain functions.",
"standard operating procedure (SOP)":	"A standardized process for accomplishing a task, operating a piece of equipment or running a system.",
"Statistical Analysis Software (SAS)":	"An advanced analytical software suite developed by the SAS Institute.",
"structured query language (SQL)":	"A standard programming language for requesting information from a database.",
"Supervisory Control and Data Acquisition (SCADA)":	"A system that collects data from various sensors at a drinking water treatment plant and locations in a distribution system, and sends this data to a central information management system.",
"Surveillance and Response System (SRS)":	"See Water Quality Surveillance and Response System.",
"syndrome":	"A group of symptoms that occur together and characterize a particular health condition.  ",
"syndromic surveillance":	"A form of public health surveillance in which electronic healthcare records, such as 911 calls or emergency department chief complaints, is analyzed in order to detect anomalies that may be indicative of public health incidents.",
"system architecture":	"The fundamental structure of an information management system which includes operating systems, data storage methods, and required hardware and software.",
"system availability":	"The overall time during which the information management system is operating at a level of performance where it is able to receive, process, and display data to the user.  ",
"system operator":	"An individual responsible for operation of distribution system components such as pumps and valves.",
"system use type":	"A high-level function for which the information management system will be used.",
"technical requirement":	"A type of information management requirement that defines system attributes and design features that are often not readily apparent to the end user but are essential to meeting functional requirements or other design constraints.  Examples include attributes such as system availability, information security and privacy, back-up and recovery, data storage needs and integration requirements.",
"template":	"A pre-defined standard format which is developed for commonly used tabular or graphical data displays.  Development and use of templates can reduce the time required for data review and reporting.",
"three dimensional plot":	"A graphical method of plotting three variables within one space, allowing multiple datastreams or parameters to be compared against one another. ",
"threshold":	"A value that is compared against current or recent data to determine whether conditions are anomalous, or atypical of normal operations. ",
"threshold alerting":	"Automated data analysis technique in which the user defines a maximum acceptable cumulative total for a datastream, and an alert is generated if the total surpasses this threshold.  ",
"Threshold Analysis Tool (TAT)":	"A tool developed to help water utilities develop thresholds for CCS.  The tool retrospectively applies a configurable scan algorithm to customer call or work management data entered by a user and outputs the date and times when alerts would have been generated based on a particular threshold.",
"time-series data":	"A sequence of ordered data points in which each element corresponds to a data value collected at a single point in time.  Time-series data is usually collected at a regular polling interval.",
"time-series plot":	"A graphical method of presenting time-series data in which the time period is plotted on the horizontal axis and the data is plotted on the vertical axis.",
"triggered data review":	"Investigation of data for a specific purpose, most commonly in response to an SRS component alert.  ",
"user interface":	"A visually oriented interface that allows a user to interact with an information management and analysis system.  A user interface typically facilitates data access and analysis.",
"Water Quality Surveillance and Response System (SRS)":	"A system that employs one or more surveillance components to monitor and manage distribution system water quality in real time.  An SRS utilizes a variety of data analysis techniques to detect water quality anomalies and generate alerts.  Procedures guide the investigation of alerts and the response to validated water quality incidents that might impact operations, public health or utility infrastructure.",
"write privileges":	"The ability of a user to enter or change information in the information management system."

};

var Acronyms = {
"CCS":	"Customer Compliant Surveillance",
"CM":	"Consequence Management",
"CSV":	"Comma-Separated Values",
"EDS":	"Event Detection System",
"ESM":	"Enhanced Security Monitoring",
"GIS":	"Geographic Information System",
"ISO":	"International Organization for Standardization",
"IT":	"Information Technology",
"NIST":	"National Institute of Standards and Technology",
"OBDC":	"Open Database Connectivity",
"OWQM":	"Online Water Quality Monitoring",
"PHS":	"Public Health Surveillance",
"S&A":	"Sampling and Analysis",
"SAS":	"Statistical Analysis Software",
"SCADA":	"Supervisory Control and Data Acquisition",
"SOP":	"Standard Operating Procedure",
"SQL":	"Structured Query Language",
"SRS":	"Water Quality Surveillance and Response System",
"TAT":	"Threshold Analysis Tool",
"WSI":	"Water Security Initiative"

};