﻿var TabPages = null; // declare as global now.  Specific CommonTabPages can be overridden per module.
//
// CommonTabPages.  Default text for any given tab page.  Used if that tab has no questions, or if it's marked as Prepend.
// 					First value of array is @prepend. 0==do not prepend replacement or bust.
//					1==prepend this html even when there's other page content. This handles instructions for answering questions.
//
var CommonTabPages = { 
tabPage11: [0, "<div class='boxedTab'>The questions in this module are intended to help you envision how the information management \
system will be used. An accurate assessment of expected system usage is crucial as it motivates all component functional \
requirements and is central to design of the system. <br/><br/> Provide responses for each <a class='gTip'>system use type</a> listed on the \
next screen  and then click <b>Next</b> to navigate to the next module. A text entry field is provided for each use type \
in which you can enter comments to clarify or expand upon your response, if desired.</div>"],

tabPage12: [0, "<div class='boxedTab'>Coming Soon:  Expected Uses of the System Questions.</div>"],

tabPage21: [0, "<div class='boxedTab'>The questions in this module are intended to help you define the data that will need to be \
managed by the information management system. <br/><br/> Provide responses for each question listed on the next screen and \
then click <b>Next</b> to navigate to the next module. A text entry field is provided for each question in which you can \
enter comments to clarify or expand upon your response, if desired. </div>"],

tabPage22: [0, "<div class='boxedTab'>Coming Soon:  Data To Be Managed Questions.</div>"],

tabPage31: [0, "<div class='boxedTab' style='text-align:left; margin-top:25px;'> \
In this module, you will rate the importance of information management system features commonly used to support real-time \
monitoring in an SRS.  The following classifications will be used to rate each requirement's importance in supporting this \
component's expected system use. <br/> \
		<ul style='margin-left: 10px;'>\
			<li><strong>Critical:</strong> The component could not be operated as planned without this capability. \
			This feature should unquestionably be included in information management system requirements.</li> \
			<li><strong>Highly desired:</strong> Though not absolutely necessary, this feature would greatly enhance \
			the effectiveness and usability of the information management system. Thus, this feature should be included \
			unless it is entirely infeasible due to project constraints.</li> \
			<li><strong>Would be nice:</strong> This feature would enhance the information management system and would \
			likely be used by personnel. If it can be achieved within the chosen solution, it should be implemented. However, \
			it should not drive the selection and design process.</li> \
			<li><strong>Don't need it:</strong> The feature would not be used.</li> \
		</ul> \
	The requirements are presented in four categories, each shown on a separate screen \
		<ul style='list-style-type:decimal; margin-left: 10px;'>\
			<li>User Interface</li>\
			<li>Data Access</li>\
			<li>Alerting</li>\
			<li>Data Storage</li>\
		</ul>\
At the end of this module, there is an Additional  Requirements screen on which you can enter requirements that were not \
covered in the other categories, if desired. <br/><br/> \
Use the <b>Next</b> button to navigate through the following screens, providing a rating \
for all requirements.  Once you have progressed through all screens, the Next button will bring you to the Consolidated Component \
views where you can review your input. A text entry field is provided for each requirements in which you can enter comments to \
clarify or expand upon your selection, if desired.</div>"],

tabPage32: [1, "<div class='boxedInstructions'>Rate each of the following requirements based on its importance to the component.  You must rate each requirement, though it is not necessary to enter text with additional details. </div>"],
tabPage33: [1, "<div class='boxedInstructions'>Rate each of the following requirements based on its importance to the component.  You must rate each requirement, though it is not necessary to enter text with additional details. </div>"],
tabPage34: [1, "<div class='boxedInstructions'>Rate each of the following requirements based on its importance to the component.  You must rate each requirement, though it is not necessary to enter text with additional details. </div>"],
tabPage35: [1, "<div class='boxedInstructions'>Rate each of the following requirements based on its importance to the component.  You must rate each requirement, though it is not necessary to enter text with additional details. </div>"],
tabPage36: [1, "<div class='boxedInstructions' style='text-align:left'>On this screen, you can add additional requirements you would like to include that were not covered on the previous screens. Use of this screen is optional. If there are no requirements you would like to add, click Next to proceed to the Consolidated View.<br/>For each additional requirement, click the <b>Add Requirement</b> button and an entry form will pop up. Enter a title (a brief requirement summary statement) and text describing the requirement. Provide a rating for the requirement and add additional detail as needed, and then click Save to return to the main screen.</div>"],

tabPage41: [0, "<div class='boxedTab'>The following screens summarize the information you entered for this component, with a summary \
table for each of the question types. Review all responses and modify any information if necessary. Click any field(s) you wish \
to change and a pop-up window will appear allowing you to edit the previously entered information. <br/><br/> \
Use the <b>Next</b> button to proceed through the summary tables. After the summary of the Requirements module input, you will \
arrive at a screen from which you can generate a file containing the information you entered. If requested, this file should be \
provided to the IT design team so they can consolidate input from all components.</div>"],
tabPage42: [0, "<div><span><img src='img/mockups/Exhibit_9a_mockup.png' alt='9a' style='margin: 5px; border: 1px solid #000767'/></span></div>"],
tabPage43: [0, "<div><span><img src='img/mockups/Exhibit_9b_mockup.png' alt='9b' style='margin: 5px; border: 1px solid #000767'/></span></div>"],
tabPage44: [0, "<div><span><img src='img/mockups/Exhibit_9c_mockup.png' alt='9c' style='margin: 5px; border: 1px solid #000767'/></span></div>"]

};
